"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var platform_browser_1 = require("@angular/platform-browser");
var forms_1 = require("@angular/forms");
var http_1 = require("@angular/http");
var app_component_1 = require("./app.component");
var translation_component_1 = require("./components/translation/translation.component");
var angular_tree_component_1 = require("angular-tree-component");
var tabs_1 = require("./components/tabs/tabs");
var tab_1 = require("./components/tab/tab");
var http_client_1 = require("../app/common/shared/http-client");
var translation_service_1 = require("./services/translation.service");
require("../styles/styles.scss");
var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        core_1.NgModule({
            imports: [
                http_1.HttpModule,
                platform_browser_1.BrowserModule,
                forms_1.FormsModule,
                angular_tree_component_1.TreeModule,
            ],
            declarations: [
                app_component_1.AppComponent,
                translation_component_1.TranslationComponent,
                tabs_1.Tabs,
                tab_1.Tab
            ],
            bootstrap: [
                app_component_1.AppComponent
            ],
            providers: [
                http_client_1.HttpClient,
                translation_service_1.TranslationService
            ]
        })
    ], AppModule);
    return AppModule;
}());
exports.AppModule = AppModule;
//# sourceMappingURL=app.module.js.map