﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SubmissionWizard.aspx.cs" Inherits="GlobalLink.Translation.ui.SubmissionWizard" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title></title>
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/legacy/ShellCore.css")  %>" />
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/legacy/DojoDashboardCompatibility.css")  %>" />
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/sleek/document.css")  %>" />


    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/sleek/sleek1.css")  %>" />
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/sleek/sleek2.css")  %>" />
    <link rel="stylesheet" type="text/css" href="<%= ResolveUrl("~/ClientResources/Styles/Styles.css") %>">
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToClientResource("CMS","ClientResources/epi-cms/epi.css")  %>" />
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/lib/dgrid/css/dgrid.css")  %>" />

    <script type="text/javascript" src="./js/jquery-3.2.1.slim.min.js"></script>
	<script type="text/javascript">
        function selectbox(selected) {
            var selectbox = document.forms[0].elements['files'];

            for (var i = 0; i < selectbox.length; i++)
                selectbox[i].checked = selected;
        }

        function popupCalendar() {
            var dateField = document.getElementById('dateField');
            // toggle the div

            if (dateField.style.display == 'none')
                dateField.style.display = 'block';
            else
                dateField.style.display = 'none';
        }
        function isMaxLength(obj) {
            if (obj.value.length > 249) {
                obj.value = obj.value.substring(0, 249);
                return false;
            } else
                return obj.value.length <= 249;
        }
        function refresh() {
            //window.opener.__doPostBack('GridView1', '');
            window.close();
        }
	    /*function pageClicked(obj) {
		    $(obj).closest('tr').find('input[type=checkbox]').each(function (i) {
		        if (!$(this).prop('disabled')) {
		            $(this).prop('checked', $(obj).prop('checked'));
		        } else {
		            $(this).prop('checked', false);
		        }
		    });
		}*/
        function getClassWithPrefix(obj, prefix) {
            var classList = obj.attr('class').split(/\s+/);
            for (var i = 0; i < classList.length; i++) {
                if (classList[i].startsWith(prefix)) {
                    return classList[i];
                }
            }
            return ' ';
        }
        function uncheckChilds(obj, checked) {

            var chkpage = obj.closest('td').find('.chkpage');
            var pl = getClassWithPrefix(chkpage, 'pl')
            if (pl.length > 2) {
                pl = pl.substr(2);
            }
            var bl = getClassWithPrefix(chkpage, 'bl').substr(2);
            if (bl.length > 2) {
                bl = bl.substr(2);
            }
            var ind = getClassWithPrefix(chkpage, 'i');
            if (ind.length > 1) {
                ind = parseInt(ind.substr(1));
            }

            var prev = chkpage;
            while (true) {
                var next = prev.parent().parent().parent().next();
                if (next && next != null) {
                    next = next.find('.chkpage');
                    var nextInd = getClassWithPrefix(next, 'i');
                    if (nextInd.length > 1) {
                        nextInd = parseInt(nextInd.substr(1));
                        if (nextInd > ind) {
                            var input = next.find('input');
                            if (!input.prop('disabled')) {
                                input.prop('checked', checked);
                                input.change();
                            }
                            //uncheckChilds(input, checked);
                            prev = next;
                        } else {
                            break;
                        }
                    } else {
                        break;
                    }
                } else {
                    break;
                }
            }
        }
        function notCheckAllRefsChange() {
            if ($('.includeRefs input:not(.checkAllRefs):checked').length > 0 && $('.includeRefs input:not(.checkAllRefs):not(:checked)').length == 0) {
                $('.checkAllRefs').prop('checked', true);
            } else {
                $('.checkAllRefs').prop('checked', false);
            }
        }

        $(document).ready(function () {
            $('.checkChilds').on('click', function () {
                var checked = false;
                if ($(this).hasClass('check')) {
                    checked = true;
                    $(this).removeClass('check');
                } else {
                    $(this).addClass('check');
                }
                uncheckChilds($(this), checked);
            });
            $('.chkpage input').change(function () {
                var checked = $(this).is(":checked");
                $(this).closest('tr').find('input[type=checkbox]').each(function (i) {
                    if (!$(this).prop('disabled')) {
                        $(this).prop('checked', checked);
                    } else {
                        $(this).prop('checked', false);
                    }
                });
            });
            $('.checkAllRefs').change(function () {
                if (!$(this).is(":checked")) {
                    $('.includeRefs').addClass("tableDisabled");
                    $('.includeRefs input').prop('disabled', true);
                } else {
                    $('.includeRefs').removeClass("tableDisabled");
                    $('.includeRefs input').prop('disabled', false);
                }
            });

            if ($('.includeRefContent input[type=checkbox]:checked').length > 0) {
                $('.checkAllRefs').prop('checked', true);
                $('.checkAllRefs').change();
            } else {
                $('.checkAllRefs').prop('checked', false);
                $('.checkAllRefs').change();
            }
            $('.help .title').mouseover(function () {
                $('.help .description').show();
            })
            $('.help .title').mouseout(function () {
                $('.help .description').hide();
            })

            $('.styledCheckbox label').click(function () {
                $(this).parents('.styledCheckbox').find('input').click();
            })
            $.each($('input[type=checkbox'), function (i, e) {
                //$(e).parent().addClass('styledCheckbox');
            });
            $.each($('.styleCheck'), function (i, e) {
                $(e).append('<span></span>');
            });
            $('.langCheck input').change(function () {
                if ($('.langCheck input:not(:checked )').length == 0) {
                    $('.langCheckAll input').prop('checked', true);
                } else {
                    $('.langCheckAll input').prop('checked', false);
                }
            })
            $('.styleCheck span').click(function () {
                $(this).parents('.styleCheck').find('input').click();

            })
            $.each($('.styledCheckbox input'), function (i, e) {
                if ($(e).is(':checked')) {
                    $(e).parents('.styledCheckbox').addClass('checked');
                } else {
                    $(e).parents('.styledCheckbox').removeClass('checked');
                }
            });

            $('.langCheckAll span').click(function () {
                if (!$(this).closest('.styleCheck').find('input').is(":checked")) {
                    $('.langCheck input:checked').click();
                } else {
                    $('.langCheck input:not(:checked )').click();
                }
            });
            $('.langCheckAll input').prop('checked', false);
            $(".wizardDiv").css("top", $('.epi-listingTopContainer')[0].offsetHeight);
        });
        function targetLangsValidation(sender, args) {
            args.IsValid = false;
            $.each($('.targetLanguageWrap input'), function (i, e) {
                if ($(e).is(':checked')) {
                    args.IsValid = true;
                }
            });
        }
        $(window).resize(function () {
            $(".wizardDiv").css("top", $('.epi-listingTopContainer')[0].offsetHeight);
        });
	</script>

    <style>
        .Sleek h2.epi-ribbonHeader.epi-ribbonHeaderSpecial{white-space:nowrap}
        .w-50{width:50px}
        select[disabled=disabled] {opacity: 0.7;}
        .langCheck{line-height: 20px;}
        .targetLanguageWrap{min-width:550px}
        .targetLanguageWrap li {display: inline-block;vertical-align: top;}
        span.styleCheck.langCheck {display: inline-block;width: 250px;}
        table.tableDisabled {color: #999 !important;}
        .Sleek .epi-listingContainer {margin: 0 0 0 20px;}
        .gridFields {
            max-width: 1000px;
        }
        .gridFields td {
            padding: 2px 40px 0 0;
        }
        .calendarButton {
            display: inline-block;
        }
        .gridFields .enforceTooltip {
            padding: 10px 160px 0 33px;
        }
        .enforceSetting label {
            padding-left: 20px;
        }
        textarea {
            min-height: 30px !important;
        }
        .settings td{
            padding:5px 0;
        }
        
        .settings .includeRefs td label {
            padding-left: 7px;
            padding-right:5px;
        }
        .settings .includeItems .spacer {
            padding-left: 8px;
        }
        
        .Sleek .epi-newContentContainer {
            min-height: 10%;
        }

        body, th, table
		{
			font-family: Verdana,Arial,Helvetica,sans-serif;
			font-size: 1em;
		}
		.aspNetDisabled
		{
			color:#999;
		}
		.EP-tableHeading
		{
			white-space: nowrap;
		}
		.calend
		{
			position: absolute;
		}
		.calend2
		{
			position: static;
		}
		div.epi-buttonContainer, div.epi-buttonContainer-simple
		{
			margin: 0 0 1.1em;
			padding: 0;
			text-align: right;
		}
		div.epi-buttonContainer
		{
			padding: 1em 0 0;
		}
		.epi-cmsButton, .epi-cmsButton img, .epi-cmsButton a img, .epi-cmsButton input[type="image"], .epi-cmsButton img + input, .epi-cmsButton img + input[value], .epi-cmsButton input
		{
			cursor: pointer;
		}
		.epi-cmsButton, .epi-cmsButtondisabled
		{
			display: inline-block;
			white-space: nowrap;
			-webkit-border-radius: 3px;
			-moz-border-radius: 3px;
			-ms-border-radius: 3px;
			-o-border-radius: 3px;
			border-radius: 3px;
			padding: 2px 6px;
			border: 1px solid #768388;
			color: #333;
			margin: 0;
			background:#E7E7E7;
		}
		.finish
		{
			text-align:center;
            margin-top:30px;
		}
		.red{color:Red}
	    .dijitTextBox{
	        padding: 4px 5px;
	    }
        .gllogo{
        position:absolute;
        right:20px;
        top:5px;
        width:120px;
        height:60px;
        z-index:2000;
        background: url("Images/logo.png")  no-repeat;
        }
        .Sleek.gl .dijitButton .dijitButtonNode{line-height: 20px;
padding: 0px 6px;
        }
        .Sleek.gl .dijitButton .dijitButtonNode.aspNetDisabled{color:#999
        }
	    .dijitButton.dijitButton2 {
	        margin: 0;
	    }
        .dijitButton.dijitButton3 {
	        margin: 0;
            display: inline-block;
	    }
	    .checks input[type="checkbox"] {margin: 1px 3px 4px 0;vertical-align:middle;}
	    .wizardSetting {display: block;}
	    .edittable {border: 0;}
	    .edittable td {font-weight: bold;font-size: 11px;border: 0;}
        .edittable td:not(:first-child) {white-space: nowrap;}
        .edittable tr:nth-child(even) {background: #ECEFF3}
        .edittable tr:nth-child(odd) {background: #FFF}
	    .edittable th {text-align: left;}
	    .checkChilds {font-size: 16px;padding-right: 4px;cursor: pointer;}
        #Wizard1 {width: 100%;}
        .dateTimePicker th {text-align: center;}
        .dateTimePicker td {padding: 6px;text-align: center;letter-spacing: .05em;}
        .dateTimePicker td a {cursor: pointer;font-size: 14px;font-weight: bold;font-family: Arial;}
        .dateTimePickerHeader td, .dateTimePickerHeader td a {color: #FFF !important;padding: 0;font-size: 14px;font-family: Verdana, Arial;letter-spacing: normal;}
        .dateTimePickerHeader td a {font-size: 10px;}
        .pushToPD {float:right;padding-top:10px;}
        .pushToPD label{padding-right: 5px;}
        .gridtooltip {font-size: 80%;margin-top: -10px;padding-bottom: 10px;}
        .help{display:inline-block}
        .help .title {font-weight: bolder;border: 1px solid #999;padding: 2px;border-radius: 4px;cursor: default;}
        .help .description {display: none;position: absolute;z-index: 100;left: 5px;width: 600px;background: #FFF;border: 1px solid #CCC;border-radius: 7px;padding: 5px 10px;}
        .refDepthWrap small {display: block;color: #555;font-size: 10px;}
        .styledCheckbox input{visibility:hidden}
        .styledCheckbox {display:inline-block;position: relative;}
        .styledCheckbox label {cursor: pointer;position: absolute;width: 12px;height: 12px;top: 0;left: 0;background: #eee;border:2px solid #1da4f9;}
        .styledCheckbox label:after {opacity: 0;content: '';position: absolute;width: 7px;height: 4px;background: transparent;top: 1px;left: 1px;border: 3px solid #FFF;border-top: none;border-right: none;transform: rotate(-45deg);}
        .styledCheckbox.checked label:after {opacity: 1;}
        .styledCheckbox.checked label {background-color: #1da4f9;}
        .pl-10{padding-left:10px}
        .pb-10{padding-bottom:10px}

        .styledCheckbox input{visibility:hidden}
        .styledCheckbox {display:inline-block;position: relative;}
        .styledCheckbox label {cursor: pointer;position: absolute;width: 12px;height: 12px;top: 0;left: 0;background: #eee;border:2px solid #1da4f9;}
        .styledCheckbox label:after {opacity: 0;content: '';position: absolute;width: 7px;height: 4px;background: transparent;top: 1px;left: 1px;border: 3px solid #FFF;border-top: none;border-right: none;transform: rotate(-45deg);}
        .styledCheckbox.checked label:after {opacity: 1;}
        .styledCheckbox.checked label {background-color: #1da4f9;}
        .styleCheck input{visibility:hidden}
        .styleCheck {position: relative;}
        .styleCheck span {cursor: pointer;position: absolute;width: 12px;height: 12px;top: 0;left: 0;background: #eee;border:2px solid #1da4f9;}
        .styleCheck span:after {opacity: 0;content: '';position: absolute;width: 7px;height: 4px;background: transparent;top: 1px;left: 1px;border: 3px solid #FFF;border-top: none;border-right: none;transform: rotate(-45deg);}
        .styleCheck input:checked ~ span:after {opacity: 1;}
        .tableDisabled .styleCheck input:checked ~ span:after {opacity: 0 !important}
        .tableDisabled .styleCheck input:checked ~ span {background-color: #eee !important;}
        .styleCheck input:checked ~ span {background-color: #1da4f9;}
        .styleCheck label{padding-left:10px;}

        .tableDisabled .styleCheck span {opacity: 0.5 !important;}
        .overlayStatus {left:40%;top: 40%;text-align:left;position: relative;}
        .langCheckAll{display: inline-block;padding-bottom: 15px;padding-right: 20px;}

        .Sleek .epi-localToolbar .epi-toolbarLeading {width: 80%;}
        
    </style>
</head>
<body class="Sleek">
    <form id="form1" runat="server">
    <asp:Label ID="sessionWorkId" runat="server" Visible="false" />
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <asp:Timer ID="Timer1" runat="server" Interval="3000" OnTick="refreshSecondStep_Click"></asp:Timer>
                <div ID="overlay" runat="server" style="position:fixed;left:0;right:0;top:0;bottom:0; z-index:400;color:#000; background-color:rgba(255,255,255,1)">
            <div class="overlayStatus">
                <asp:Label runat="server" ID="statusLbl2" ></asp:Label>
            </div>
        </div>

        <div class="dijitContentPane dijitBorderContainerNoGutter-child dijitBorderContainerNoGutter-dijitContentPane dijitBorderContainerNoGutterPane dijitContentPaneSingleChild" style="left: 0px; width: 100%;height:100%">
            <div class="dijitStackContainer dijitContainer dijitLayoutContainer" style="width: 100%; height: 100%">
                <div class="dijitContainer" style="width: 100%; height: 100%">
                    
                    <div class="epi-createContent dijitLayoutContainer dijitContainer dijitStackContainer-child dijitStackContainer-dijitLayoutContainer epi-cardContainer-child dijitVisible epi-cardContainer-child--primary" style="width:100%;height:100%">
                        <div class="dijitBorderContainerNoGutter dijitContainer dijitLayoutContainer" style=" width: 100%; height:100%">
                            <div class="dijitContentPane dijitBorderContainerNoGutter-child dijitBorderContainerNoGutter-dijitContentPane epi-listingTopContainer">
                                <div>
                                    <h1><asp:Label ID="newPageLabel" runat="server" /></h1>
                                </div>
                                <div class="epi-localToolbar epi-viewHeaderContainer" style="user-select: none;">
                                    <div class="epi-toolbarGroupContainer">
                                        <div class="epi-toolbarGroup epi-toolbarLeading">
                                            <div class="dijit dijitToolbar" role="toolbar" tabindex="-1">
                                                <span class="epi-breadCrumbs dijitContainer" title="" tabindex="-1">
                                                   <asp:Label ID="breadCrumbs" runat="server" />
                                                </span>
                                            </div>
                                        </div>
                                        <div class="epi-toolbarGroup epi-toolbarTrailing">
                                            <div class="dijit dijitToolbar" role="toolbar" tabindex="0">
                                                <div class="epi-notificationIcon epi-notificationIcon-DimmedOut" tabindex="-1">0</div>
                                                <span class="dijit dijitReset dijitInline dijitButton epi-button--bold epi-primary" role="presentation" >
                                                    
                                                            <asp:Button ID="StepNextButton" ValidationGroup="firstStep" runat="server" CommandName="MoveNext" Text="Next"
									                            CssClass="dijitButtonNode" OnClick="GoToSecondStep" />
                                                    <asp:Button ID="StepPreviousButton" runat="server" CommandName="MovePrevious" Text="Previous"
									                            CssClass="dijitButtonNode" OnClick="GoToFirstStep" />
                                                    </span>
                                                <span class="dijit dijitReset dijitInline dijitButton epi-button--bold epi-success" role="presentation" >
                                                            
                                                            <asp:Button ID="FinishButton" runat="server" CommandName="Finish" Text="Finish"
									                            CssClass="dijitButtonNode" OnClick="GoToFinish" />
                                                           
                                                </span>
                                                
                                                
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div>
                                    <label>Name</label>
                                    
                                            <asp:TextBox ID="submissionName" CssClass="dijitTextBox" runat="server" MaxLength="45"></asp:TextBox><asp:RequiredFieldValidator
												ForeColor="Red" ID="RequiredFieldValidator4" runat="server" ErrorMessage="*" ValidationGroup="firstStep"
												ControlToValidate="submissionName"></asp:RequiredFieldValidator>
                                    <div class="dijit dijitReset dijitInline dijitButton epi-button--bold epi-primary pushToPD" role="presentation" >
                                                        <asp:CheckBox ID="pushToPD" CssClass="styleCheck" runat="server" Text="Push submission to GlobalLink" />
                                                        <asp:CheckBox ID="skipSecondStep" CssClass="styleCheck" runat="server" Text="Skip summary step" />
                                                    </div>
                                    
                                </div>
                            </div>
                            <asp:Wizard ID="Wizard1" runat="server" ActiveStepIndex="0" DisplaySideBar="False" OnActiveStepChanged="StepChanged" OnFinishButtonClick="WizardFinished">
						        <WizardSteps>
							        <asp:WizardStep ID="ProjectSetting" runat="server" Title="Select source language">
                                        
                            <div class="dijitStackContainer dijitContainer dijitLayoutContainer epi-newContentContainer epi-animation-node dijitBorderContainerNoGutter-child dijitBorderContainerNoGutter-dijitStackContainer epi-animation-node-reset wizardDiv" style="width: 100%; position:absolute;top:140px;bottom:0">
                                <div class="dijitLayoutContainer dijitContainer dijitStackContainer-child dijitStackContainer-dijitLayoutContainer dijitVisible" style="width: 100%; height: 100%;">
                                    <div class="epi-listingContainer dijitLayoutContainer dijitContainer" style="display: block;">
                                        <h2 class="epi-ribbonHeader epi-ribbonHeaderSpecial">Details</h2>
                                        <table class="gridFields">
                                            <tr>
                                                <td>GlobalLink Project</td>
                                                <td>
                                                    <asp:DropDownList ID="projectsList" OnSelectedIndexChanged="projectChanged" runat="server" CssClass="dijitTextBox" AutoPostBack="true"></asp:DropDownList>
                                                </td>
                                                <td>Due Date</td>
                                                <td>
                                                    <asp:TextBox ID="txtDate" CssClass="dijitTextBox" runat="server" ReadOnly="true"></asp:TextBox>
                                                    <div class="dijitButton calendarButton">
                                                        <input type="button" class="dijitButtonNode" id="calButton" runat="server" value="..." onclick="popupCalendar()" />
                                                    </div>
											        <div id="dateField" style="display: none; position: absolute;padding: 12px;z-index:100;background-color:#f0f2f3;border: solid 1px #b5bcc7;box-shadow: 0 3px 5px 2px rgba(0,0,0,0.25);">
												        <asp:Calendar ID="calDate" runat="server" CellPadding="6" CssClass="dateTimePicker"
													        BackColor="#FFFFFF" ForeColor="Black" DayNameFormat="FirstLetter" BorderWidth="0"
													        OnDayRender="DayRender" OnVisibleMonthChanged="KeepCalendarVisible" OnSelectionChanged="calDate_SelectionChanged">
                                                            <DayStyle BorderColor="#eaeaea" BorderWidth="1" Font-Bold="true"  HorizontalAlign="Center" />
													        <TodayDayStyle ForeColor="Black" BackColor="#CCCCCC"></TodayDayStyle>
													        <NextPrevStyle VerticalAlign="Middle"></NextPrevStyle>
													        <DayHeaderStyle Font-Size="7pt" BackColor="#f0f2f3" ></DayHeaderStyle>
													        <SelectedDayStyle Font-Bold="True" ForeColor="Black" BackColor="#c4d700"></SelectedDayStyle>
													        <TitleStyle CssClass="dateTimePickerHeader" BackColor="#636d72"></TitleStyle>
													        
													        <OtherMonthDayStyle BackColor="#bec4cb" ForeColor="#FFFFFF"></OtherMonthDayStyle>
												        </asp:Calendar>
											        </div>
											        <asp:RequiredFieldValidator ForeColor="Red" ID="RequiredFieldValidator2" runat="server" ValidationGroup="firstStep"
												        ErrorMessage="*" ControlToValidate="txtDate"></asp:RequiredFieldValidator>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>Source content</td>
                                                <td>
                                                    <asp:DropDownList CssClass="dijitTextBox" OnSelectedIndexChanged="sourceContentChanged" ID="lstSourceContent" runat="server" AutoPostBack="true"></asp:DropDownList>
                                                </td>
                                                <td>Creator</td>
                                                <td><asp:TextBox ID="txtUserName" CssClass="dijitTextBox" runat="server" MaxLength="45"></asp:TextBox><asp:RequiredFieldValidator
												    ForeColor="Red" ID="RequiredFieldValidator3" runat="server" ErrorMessage="*" ValidationGroup="firstStep"
												    ControlToValidate="txtUserName"></asp:RequiredFieldValidator>

                                                </td>
                                                
                                            </tr>
                                            <tr>
                                                <td colspan="4" class="spacer">&nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2">
                                                    
                                                        <asp:CheckBox runat="server" CssClass="enforceSetting styleCheck" ID='chkEnforce' AutoPostBack="true" Text="Enforce Source Language" OnCheckedChanged="chkEnforce_CheckedChanged" />
                                                    <div class="help"><span class="title"> ? </span><span class="description">The source language is determined from the item's source language. If you wish to enforce a different language, you can select one after ticking
                                                        this checkbox. In such case, the translation of the language you selected will be used as the source for the translation job.</span></div>
                                                </td>
                                                <td>Source Language</td>
                                                <td>
                                                    <asp:DropDownList CssClass="dijitTextBox" ID="lstSrcLang" runat="server" OnSelectedIndexChanged="sourceLangChanged" AutoPostBack="true">
											            </asp:DropDownList>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                    <div class="epi-listingContainer dijitLayoutContainer dijitContainer dijitLayoutContainer-child dijitLayoutContainer-dijitLayoutContainer">
                                        <h2 class="epi-ribbonHeader">Request Translation Into Language(s)</h2>
                                        <br />
                                        <span class="styleCheck langCheckAll">
                                            <input id='targetLangAll' type="checkbox" runat="server" />
                                            <label for="targetLang">Select All</label>
                                        </span>
                                        <asp:CustomValidator ID="targetLangsValidator" CssClass="errorLangs" ForeColor="Red" ClientValidationFunction="targetLangsValidation" 
                                              runat="server" ErrorMessage="Please select at least one target language" ValidationGroup="firstStep">
                                        </asp:CustomValidator>
                                        <ul class="targetLanguageWrap">
                                        <asp:Repeater runat="server" ID="targetLanguages">
                                            <ItemTemplate>
                                            <li>
                                                <span class="styleCheck langCheck">
                                                    <input value='<%#Eval("Locale")%>' id='targetLang' type="checkbox" runat="server" />
                                                    <label for="targetLang"><%#Eval("Name")%></label>
                                                </span>
                                                </li>
                                            </ItemTemplate>
                                         </asp:Repeater>
                                         </ul>
                                    </div>
                                    <div class="epi-listingContainer dijitLayoutContainer dijitContainer dijitLayoutContainer-child dijitLayoutContainer-dijitLayoutContainer">
                                        <h2 class="epi-ribbonHeader">Submission Options</h2>
                                        
                                        <table class="settings">
                                            <tr>
                                                <td>
                                                    <asp:CheckBox runat="server" CssClass="wizardSetting styleCheck" ID='includeChildren' Text="Include child nodes" OnCheckedChanged="includeBlocks_changed" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:CheckBox runat="server" CssClass="wizardSetting styleCheck" ID='includeParents' Text="Include content which references this content" OnCheckedChanged="includeBlocks_changed" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <table class="wizardSetting">
                                                        <tr>
                                                            <td>
                                                                <span class="styleCheck">
                                                                    <input id="chkIncludeRef" class="checkAllRefs" runat="server" type="checkbox" />
                                                                    <label for="chkIncludeRef">Include referenced content</label>
                                                                </span>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <table class="includeRefs">
                                                                    <tr class="includeRefContent">
                                                                        <td style="width:150px">Content type:</td>
                                                                        <td>
                                                                            <asp:CheckBox runat="server" ID='includeBlocks' CssClass="styleCheck" Text="Blocks&nbsp;&nbsp;&nbsp;" OnCheckedChanged="includeBlocks_changed" />
                                                                            <asp:CheckBox runat="server" ID='includePages' CssClass="styleCheck" Text="Pages&nbsp;&nbsp;&nbsp;" OnCheckedChanged="includeBlocks_changed" />
                                                                            <asp:CheckBox runat="server" ID='includeProducts' CssClass="styleCheck" Text="Products&nbsp;&nbsp;&nbsp;" OnCheckedChanged="includeBlocks_changed" />
                                                                            <asp:CheckBox runat="server" ID='includeNodes' CssClass="styleCheck" Text="Nodes&nbsp;&nbsp;&nbsp;" OnCheckedChanged="includeBlocks_changed" />
                                                                            <asp:CheckBox runat="server" ID='includeMedia' CssClass="styleCheck" Text="Media" OnCheckedChanged="includeBlocks_changed" />
                                                                        </td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>Reference depth:</td>
                                                                        <td class="refDepthWrap">
                                                                            <asp:TextBox ID="txtRefDepth" TextMode="Number" runat="server" CssClass="w-50"></asp:TextBox>
                                                                            <small>Value from 0 to 100. Depth of references following. '0' will include only first level references</small>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
												    
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:CheckBox runat="server" CssClass="wizardSetting styleCheck pb-10" ID='includeVariations' Text="Include product variations" />
                                                    <asp:CheckBox runat="server" CssClass="wizardSetting styleCheck pb-10" ID='isSkipContentArea' Text="Disable copying contentArea references" />
                                                    <asp:CheckBox runat="server" CssClass="wizardSetting styleCheck pb-10" ID='CheckDetection' Text="Exclude content unchanged since last translation" />
                                                    <asp:CheckBox runat="server" CssClass="wizardSetting styleCheck pb-10" ID='excludeExpiredSource' Text="Exclude expired source contents" />
                                                    <asp:CheckBox runat="server" CssClass="wizardSetting styleCheck pb-10" ID='excludeExpiredTarget' Text="Exclude expired target contents" />
                                                    <asp:CheckBox runat="server" CssClass="wizardSetting styleCheck pb-10" ID='AutoPublish' Text="Auto-publish translated content on completion " />
                                                    <asp:CheckBox runat="server" CssClass="wizardSetting styleCheck pb-10" ID='isCancelExisting' Text="Cancel already sent targets if resending" />
                                                </td>
                                            </tr>
                                        </table>
                                        <table><tr><td>Instructions</td></tr><tr><td>
                                        <asp:TextBox CssClass="dijitTextBox dijitTextArea instructions" runat="server" MaxLength="254" style="width:420px; height:50px;" ID='transInstruction'
												        TextMode="MultiLine"></asp:TextBox>
                                                        </td></tr></table>
                                    </div>
                                    
                                </div>
                                
                            </div>
                                       
							</asp:WizardStep>
							<asp:WizardStep ID="ProjectPages" runat="server" Title="Modify content">
                                <div class="dijitStackContainer dijitContainer dijitLayoutContainer epi-newContentContainer epi-animation-node dijitBorderContainerNoGutter-child dijitBorderContainerNoGutter-dijitStackContainer epi-animation-node-reset wizardDiv" style="width: 100%; position:absolute;top:140px;bottom:0">
                                <div class="dijitLayoutContainer dijitContainer dijitStackContainer-child dijitStackContainer-dijitLayoutContainer dijitVisible" style="width: 100%; height: 100%;">
                                    <div class="epi-listingContainer dijitLayoutContainer dijitContainer" tabindex="0" style="display: block;">
                                        <h2 class="epi-ribbonHeader epi-ribbonHeaderSpecial"><asp:Label runat="server" ID="statusLbl" ></asp:Label></h2>
								<table cellspacing="0" border="0" cellpadding="0" style="width:100%">
									<tr>
										<td valign="top" align="left">
                                            <asp:GridView ID="GridView1" runat="server" AllowSorting="False" AllowPaging="False"
													AutoGenerateColumns="False" CellPadding="2" 
													CssClass="epi-default edittable" GridLines="Horizontal" BorderWidth="0" OnRowDataBound="gv1_RowDataBound">
                                                </asp:GridView>

										</td>
									</tr>
								</table>
                               <div class="gridtooltip">'CR' - referenced in ContentReference or Xhtml, 'Link' - referenced in LinkItemCollection or Xhtml, 'CA' - referenced in ContentArea, 'Child' - child in tree structure, 'Ref' - references this content, 'Var' - variation of a product</div>
                                <p>
                                    <asp:Label runat="server" ID="disableChkLbl" CssClass="red" Visible="false">* some checkboxes are disabled because this target language is not enabled for this content</asp:Label>
                                </p>
								<p><asp:Label ID="existingLbl" runat="server" CssClass="red" /></p>
                                        </div>
                                    </div>
                                    </div>
							</asp:WizardStep>
							<asp:WizardStep ID='ProjectFiles' runat="server" StepType="Complete" Title='Choose files' >
							<div class="finish">
								<strong>
									<asp:Label ID="Label3" runat="server" /></strong>
								<br /><br />
									<input type="button" value='Close window' onclick='refresh()' class="epi-cmsButton" />
								</div>
							</asp:WizardStep>
						</WizardSteps>
                                <StartNavigationTemplate>
							<div></div>
						</StartNavigationTemplate>
						<FinishNavigationTemplate>
							<div></div>
						</FinishNavigationTemplate>
						<HeaderStyle></HeaderStyle>
                                </asp:Wizard>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</body>
</html>
