param($installPath, $toolsPath, $package, $project)

Function Remove-GLAssembly($binPath, $assemblyName)
{

       $assemblyPath = join-path $binPath $assemblyName
        if (Test-Path $assemblyPath)
        {
            # Remove the redundant assemblies from this path
            Write-Host "Removing assembly - $assemblyPath"
            Remove-Item $assemblyPath -Force -ErrorAction Stop
        }

}

$projectFilePath = Get-ChildItem $project.Fullname
$sitePath = $projectFilePath.Directory.FullName
$binPath = join-path $sitePath "/bin"

Remove-GLAssembly $binPath "GlobalLink.Translation.dll"
Remove-GLAssembly $binPath "GlobalLink.Connect.dll"
