"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var http_1 = require("@angular/http");
var testing_1 = require("@angular/http/testing");
var mockData_1 = require("../services/mockData");
var ErrorResponse = /** @class */ (function (_super) {
    __extends(ErrorResponse, _super);
    function ErrorResponse() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return ErrorResponse;
}(http_1.Response));
function fakeBackendFactory(backend, options, realBackend) {
    backend.connections.subscribe(function (connection) {
        if (connection.request.url.match('/filterJobsDes') &&
            connection.request.method === http_1.RequestMethod.Get) {
            connection.mockRespond(new http_1.Response(new http_1.ResponseOptions({
                status: 200,
                body: mockData_1.languageJobsFilterDes
            })));
            return;
        }
        if (connection.request.url.match('/filterJobsEsc') &&
            connection.request.method === http_1.RequestMethod.Get) {
            connection.mockRespond(new http_1.Response(new http_1.ResponseOptions({
                status: 200,
                body: mockData_1.languageJobsFilterEsc
            })));
            return;
        }
        if (connection.request.url.match('/detailDes') &&
            connection.request.method === http_1.RequestMethod.Get) {
            connection.mockRespond(new http_1.Response(new http_1.ResponseOptions({
                status: 200,
                body: mockData_1.languageJobsDetailFilterDes
            })));
            return;
        }
        if (connection.request.url.match('/detailEsc') &&
            connection.request.method === http_1.RequestMethod.Get) {
            connection.mockRespond(new http_1.Response(new http_1.ResponseOptions({
                status: 200,
                body: mockData_1.languageJobsDetailFilterEsc
            })));
            return;
        }
        var realHttp = new http_1.Http(realBackend, options);
        var requestOptions = new http_1.RequestOptions({
            method: connection.request.method,
            headers: connection.request.headers,
            body: connection.request.getBody(),
            url: connection.request.url,
            withCredentials: connection.request.withCredentials,
            responseType: connection.request.responseType
        });
        realHttp.request(connection.request.url, requestOptions)
            .subscribe(function (response) {
            connection.mockRespond(response);
        }, function (error) {
            connection.mockError(error);
        });
    });
    return new http_1.Http(backend, options);
}
exports.fakeBackendFactory = fakeBackendFactory;
exports.fakeBackendProvider = {
    provide: http_1.Http,
    useFactory: fakeBackendFactory,
    deps: [testing_1.MockBackend, http_1.BaseRequestOptions, http_1.XHRBackend]
};
//# sourceMappingURL=mock-backend.js.map