"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.treeModel = [
    {
        name: 'Active Jobs',
        children: [
            { name: 'French' },
            { name: 'German' }
        ]
    }, {
        name: 'Completed Jobs',
        children: [
            { name: 'French' },
            { name: 'German' },
            { name: 'Italian' }
        ]
    }
];
exports.languageJobsDetailFilterDes = {
    "name": "test 123",
    "jobItemDetails": [
        {
            "ID": "cef1d1e5-9a22-45bc-b59e-19eb3c88af0acef1d1e5-9a22-45bc-b59e-19eb3c88af0a",
            "Name": "Order confirmation",
            "DetailType": "Page",
            "Language": "fr-FR",
            "Status": 10,
            "SendDate": "2018-06-28T17:00:08.453",
            "ReceivedDate": "2018-06-28T17:00:34.307",
            "ImportDate": "2018-06-28T17:00:34.31",
            "PdProjectName": "4YESyxwCtA1HYHreAbn0IANwQhim05Uq",
            "EpiVersion": "11_326",
            "PageType": "Page",
            "PageLink": "11_15",
            "StatusText": "Published"
        },
        {
            "ID": "1165af6e-93b4-440f-9113-1d26d2113772",
            "Name": "Multi shipment",
            "DetailType": "Page",
            "Language": "fr-FR",
            "Status": 10,
            "SendDate": "2018-06-28T17:00:07.44",
            "ReceivedDate": "2018-06-28T17:00:32.333",
            "ImportDate": "2018-06-28T17:00:32.337",
            "PdProjectName": "4YESyxwCtA1HYHreAbn0IANwQhim05Uq",
            "EpiVersion": "10_325",
            "PageType": "Page",
            "PageLink": "10_13",
            "StatusText": "Published"
        },
        {
            "ID": "b49adda4-574b-4b79-84b9-68250eda11cc",
            "Name": "Checkout",
            "DetailType": "Page",
            "Language": "fr-FR",
            "Status": 10,
            "SendDate": "2018-06-28T17:00:06.403",
            "ReceivedDate": "2018-06-28T17:00:30.35",
            "ImportDate": "2018-06-28T17:00:30.353",
            "PdProjectName": "4YESyxwCtA1HYHreAbn0IANwQhim05Uq",
            "EpiVersion": "9_324",
            "PageType": "Page",
            "PageLink": "9_11",
            "StatusText": "Published"
        }
    ],
    "page": 0,
    "pageSize": 10,
    "total": 3
};
exports.languageJobsDetailFilterEsc = {
    "name": "test 123",
    "jobItemDetails": [
        {
            "ID": "cef1d1e5-9a22-45bc-b59e-19eb3c88af0a",
            "Name": "Order confirmation",
            "DetailType": "Page",
            "Language": "fr-FR",
            "Status": 10,
            "SendDate": "2018-06-28T17:00:08.453",
            "ReceivedDate": "2018-06-28T17:00:34.307",
            "ImportDate": "2018-06-28T17:00:34.31",
            "PdProjectName": "4YESyxwCtA1HYHreAbn0IANwQhim05Uq",
            "EpiVersion": "11_326",
            "PageType": "Page",
            "PageLink": "11_15",
            "StatusText": "Published"
        },
        {
            "ID": "1165af6e-93b4-440f-9113-1d26d2113772cef1d1e5-9a22-45bc-b59e-19eb3c88af0a",
            "Name": "Multi shipment",
            "DetailType": "Page",
            "Language": "fr-FR",
            "Status": 10,
            "SendDate": "2018-06-28T17:00:07.44",
            "ReceivedDate": "2018-06-28T17:00:32.333",
            "ImportDate": "2018-06-28T17:00:32.337",
            "PdProjectName": "4YESyxwCtA1HYHreAbn0IANwQhim05Uq",
            "EpiVersion": "10_325",
            "PageType": "Page",
            "PageLink": "10_13",
            "StatusText": "Published"
        },
        {
            "ID": "b49adda4-574b-4b79-84b9-68250eda11cc",
            "Name": "Checkout",
            "DetailType": "Page",
            "Language": "fr-FR",
            "Status": 10,
            "SendDate": "2018-06-28T17:00:06.403",
            "ReceivedDate": "2018-06-28T17:00:30.35",
            "ImportDate": "2018-06-28T17:00:30.353",
            "PdProjectName": "4YESyxwCtA1HYHreAbn0IANwQhim05Uq",
            "EpiVersion": "9_324",
            "PageType": "Page",
            "PageLink": "9_11",
            "StatusText": "Published"
        }
    ],
    "page": 0,
    "pageSize": 10,
    "total": 3
};
exports.languageJobsFilterDes = {
    "jobs": [
        {
            "Id": "05aff46f-8461-43f7-900e-be27e62f64f7",
            "Name": "test234",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Sent",
            "Creator": "admin@example.com",
            "Created": "6/28/2018 5:00:00 PM",
            "CreatedDate": "2018-06-28T17:00:00.127",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "f709cd41-f389-41be-88d7-450f17df6193f709cd41-f389-41be-88d7-450f17df6193f709cd41",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "db2197e0-d7e1-4e7c-8598-90cca736dfa2",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "f8ee070f-5aff-49d0-bf7b-f28e3bfc9855",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "e188a7f4-9939-4894-9d65-de7dd77a2818",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "7b079ccd-daea-4b78-896f-a628ded80632",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "bab49ade-8987-42b7-ae3e-11d476c4d0ac",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "54ad85b9-b6e9-4e8d-ac79-cc1cffaea6c0",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "8ec0e7b6-ea53-481e-a67c-69151fb4d7ef",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "18c1329c-6a75-47fb-adce-18b8f33c8c97",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        }
    ],
    "term": null,
    "lang": null,
    "status": null,
    "page": 1,
    "pageSize": 10,
    "total": 24
};
exports.languageJobsFilterEsc = {
    "jobs": [
        {
            "Id": "e188a7f4-9939-4894-9d65-de7dd77a2818e188a7f4-9939-4894-9d65-de7dd77a2818e188a7f4-9939-4894-9d65",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "7b079ccd-daea-4b78-896f-a628ded80632",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "bab49ade-8987-42b7-ae3e-11d476c4d0ac",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "54ad85b9-b6e9-4e8d-ac79-cc1cffaea6c0",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "8ec0e7b6-ea53-481e-a67c-69151fb4d7ef",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "18c1329c-6a75-47fb-adce-18b8f33c8c97",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "f709cd41-f389-41be-88d7-450f17df6193",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "db2197e0-d7e1-4e7c-8598-90cca736dfa2",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "f8ee070f-5aff-49d0-bf7b-f28e3bfc9855",
            "Name": "Test",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Created",
            "Creator": "admin@example.com",
            "Created": "6/8/2018 10:25:07 AM",
            "CreatedDate": "2018-06-08T10:25:07.773",
            "Translated": false,
            "Published": false
        },
        {
            "Id": "05aff46f-8461-43f7-900e-be27e62f64f7",
            "Name": "test234",
            "Language": "français (France) (fr-FR)",
            "LanguageCode": "fr-FR",
            "Status": "Sent",
            "Creator": "admin@example.com",
            "Created": "6/28/2018 5:00:00 PM",
            "CreatedDate": "2018-06-28T17:00:00.127",
            "Translated": false,
            "Published": false
        }
    ],
    "term": null,
    "lang": null,
    "status": null,
    "page": 1,
    "pageSize": 10,
    "total": 24
};
exports.languageJobsModel = [
    {
        'Id': 'd22ca39f-fe15-40c0-b854-2aa9746212fe',
        'SubmissionId': '',
        'Name': 'Dejesus',
        'Language': 'Bulgaria',
        'Status': 'Hebert',
        'Creator': 'Beverly',
        'Created': 'Sun Aug 13 2006 04:07:31 GMT+0700 (SE Asia Standard Time)',
        'LanguageCode': ''
    }
];
exports.dashboardModel = {
    Name: 'Projekt 15',
    Jobs: exports.languageJobsModel
};
//# sourceMappingURL=mockData.js.map