﻿define("gl-translations/component/ExtendedCheckBoxListEditor", [
    "dojo/_base/declare",
    "dojo/_base/array",
    "dojo/dom-construct",
    "epi-cms/contentediting/editors/CheckBoxListEditor"
], function (
    declare,
    array,
    domConstruct,
    _CheckBoxListEditor
) {
        return declare(_CheckBoxListEditor, {
            filter: null,
            allSelections: null,
            _setFilterAttr: function (filter) {
                this._set("filter", filter);
                this.set("selections", this.allSelections);
            },

            _setSelectionsAttr: function (selections) {
                this.allSelections = selections;
                this._set("selections", array.filter(selections, this.filter || function () {
                    return true;
                }, this));

                this._checkboxes = [];
                domConstruct.empty(this.domNode);
                array.forEach(this.selections, this._addCheckBoxForItem, this);
                this.set("value", this.value);
            },
        });
    });