﻿<%@ Page Language="C#" AutoEventWireup="true" ValidateRequest="false" CodeBehind="CmsSubmission.aspx.cs" Inherits="GlobalLink.Translation.ui.CmsSubmission" EnableSessionState="True" EnableViewState="true" EnableViewStateMac="true" MaintainScrollPositionOnPostback="true" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title></title>
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/legacy/ShellCore.css")  %>" />
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/legacy/DojoDashboardCompatibility.css")  %>" />
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/sleek/document.css")  %>" />


    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/sleek/sleek1.css")  %>" />
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/sleek/sleek2.css")  %>" />
    <link rel="stylesheet" type="text/css" href="<%= ResolveUrl("~/ClientResources/Styles/Styles.css") %>">
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToClientResource("CMS","ClientResources/epi-cms/epi.css")  %>" />
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/lib/dgrid/css/dgrid.css")  %>" />
    <script type="text/javascript" src="./js/jquery-3.2.1.slim.min.js"></script>

    <style>      
       *:focus {
    outline:none !important;
}
        .Sleek .epi-project-item-list__container .dgrid {
            width: 100%;
            height: calc(100% - 100px);
        }

        .Sleek .epi-card .submissionItem .epi-mo--body {
            margin: 7px 0;
            display: inline-block;
        }
        .submissionItem {
            margin: 0 30px 0 20px;
        }
        .Sleek .dgrid .epi-iconContextMenu {
            visibility: visible;
        }
        .pointer {
            cursor: pointer;
        }
        .Sleek .epi-project-overview__toolbar h2 {
            width: auto;
        }
        .btnBack {
            float: right;
        }
        .Sleek .epi-project-overview__toolbar {
            padding: 0 10px 5px;
        }
        .isSelected{display:none}
        .epi-card__title.dojoxEllipsis.pageLink {
            width: min-content;
        }
        .selectAll {
            font-size: 13px;
            cursor: pointer;
            color: #1eb2eb;
        }
        .submExpand{display:none}

        .Sleek .epi-icon--medium.iconCustom, .Sleek .iconCustom2 {
                width: 26px;
height: 26px;
border-radius: 3px;
padding: 2px 4px;
border: 1px solid #768388;
box-shadow: 0 1px 0 0 rgba(255,255,255,0),inset 0 1px 0 rgba(255,255,255,0),inset 0 -1px 0 rgba(255,255,255,0);
color: #333;
margin:5px;
cursor:pointer;
		    }
        .Sleek .iconCustom2 {background-position: 50% 50%;}
        .Sleek .iconCustom3 {
                width: 18px;
height: 18px;
border-radius: 3px;
padding: 3px 4px;
border: 1px solid #768388;
box-shadow: 0 1px 0 0 rgba(255,255,255,0),inset 0 1px 0 rgba(255,255,255,0),inset 0 -1px 0 rgba(255,255,255,0);
color: #333;
cursor:pointer;
		    }
        .iconReload{background:url("Images/refresh-24.png") no-repeat;}
        .iconExcel{background:url("Images/excel-24.png") no-repeat;}
        .iconCancel{background:url("Images/cancel-24.png") no-repeat;}
        .gllogo{
        position:absolute;
        right:20px;
        top:12px;
        width:120px;
        height:60px;
        z-index:2000;
        background: url("Images/logo.png")  no-repeat;
        }
        .dijitTextBox{
	        padding: 4px 5px;
	    }
        .Sleek.gl .dijitButton .dijitButtonNode{line-height: 20px;
padding: 2px 8px;
        }
        .epi-default a {
    text-decoration: underline;
}

        .selectAll{cursor:pointer; color:#1eb2eb}
        .counter{    padding-top: 10px;}
        .hidden{display:none !important}
        .sortingWrap, .actionsWrap{display:inline-block}
	    .dijitMenuItemLabel input {
	        color: inherit;
	        background-color: inherit;
	        border: 0;
            cursor:pointer;
	    }
        .actionsPopup input {
            display: list-item;
            border: 0;
            background: inherit;
            color: #e3e3e3;
            padding: 5px 15px;
            cursor:pointer;
            width: 100%;
            text-align: left;
        }
        .actionsPopup input:hover, .sortingPopup tr.dijitMenuItem:hover{
            background: #c7d500;
            -webkit-background-size: auto 100% !important;
            background-size: 100% 100%;
            color: #333;
        }

        .sortingPopup tr.dijitMenuItem {
	        user-select: none;
	    }
        .sortingPopup td.dijitMenuItemLabel{width:100%}
        .sortingPopup td.dijitMenuItemIconCell {
            padding: 0;
            margin: 0;
            min-width: 24px;
        }
        .sortingPopup td.dijitMenuItemIconCell span {
            padding: 1px 5px 2px 5px;
            margin: 0 0 0 4px;
        }

        .filtersPanel select {
            width: 180px;
        }
        .w-168{
            width: 168px;
        }
        .w-180{
            width: 180px;
        }
        .filtersTable td{padding: 0 5px 0 0}
        .dijitButtonNode input[type=submit]{border:0}
        .Sleek .epi-chromeless--icon-only .dijitButtonContents, .Sleek .epi-chromelessButton--icon-only .dijitButtonContents {
    padding-top: 2px;
    padding-bottom: 2px;
}
    </style>
    <script type="text/javascript">
        var ctrlKey = false;
        $(document).on('keydown keyup', function (e) {
            if (e.which === 17) {
                ctrlKey = e.type == 'keydown';
            }
        });
        $(document).ready(function () {
            init();
        });
        function init() {
            $('.epi-card.subitems').unbind('click').on('click', function (event) {
                if (event.target.nodeName.toLowerCase() == "input") {
                    return;
                }
                var shouldBeChecked = false;
                if (!$(this).hasClass('dgrid-selected')) {
                    shouldBeChecked = true;
                }
                if (!ctrlKey) {
                    $('.epi-card.subitems').each(function () {
                        $(this).removeClass('dgrid-selected');
                        $(this).removeClass('ui-state-active');
                        $(this).find('.isSelected input').prop('checked', false);
                    });
                    $(this).addClass('dgrid-selected');
                    $(this).addClass('ui-state-active');
                    $(this).find('.isSelected input').prop('checked', true);
                } else {
                    if (shouldBeChecked) {
                        $(this).addClass('dgrid-selected');
                        $(this).addClass('ui-state-active');
                        $(this).find('.isSelected input').prop('checked', true);
                    } else {
                        $(this).removeClass('dgrid-selected');
                        $(this).removeClass('ui-state-active');
                        $(this).find('.isSelected input').prop('checked', false);
                    }
                }
            });
            $('.selectAll').unbind('click').on('click', function (event) {
                if ($(this).hasClass('selectedAll')) {
                    $(this).removeClass('selectedAll');
                    $('.epi-card.subitems.dgrid-selected').each(function () {
                        $(this).removeClass('dgrid-selected');
                        $(this).removeClass('ui-state-active');
                        $(this).find('.isSelected input').prop('checked', false);
                    });
                } else {
                    $(this).addClass('selectedAll');
                    $('.epi-card.subitems:not(.dgrid-selected)').each(function () {
                        $(this).addClass('dgrid-selected');
                        $(this).addClass('ui-state-active');
                        $(this).find('.isSelected input').prop('checked', true);
                    });
                }
            });

            $(".epi-card.subm").unbind('click').click(function (e) {
                if (!$(e.target).hasClass('submExpand') && !$(e.target).hasClass('expandLanguage')) {
                    $(this).find('.submExpand').trigger('click');
                }
            });

            $('.showHideFilters').on('click', function (event) {
                if ($('.filtersPanel').hasClass('hidden')) {
                    $('.filtersPanel').removeClass('hidden');
                    $('.contentPanel').css('width', "calc(100% - 340px)");
                    $(this).find('.dijitButtonText').html('Hide filters');
                } else {
                    $('.filtersPanel').addClass('hidden');
                    $('.contentPanel').css('width', "100%");
                    $(this).find('.dijitButtonText').html('Show filters');
                }


            });
            $('.sortingButton').on('click', function (event) {
                if (!$('.actionsPopup').hasClass('hidden')) {
                    $('.actionsPopup').addClass('hidden');
                }
                if ($('.sortingPopup').hasClass('hidden')) {
                    $('.sortingPopup').removeClass('hidden');
                } else {
                    $('.sortingPopup').addClass('hidden');
                }

            });

            $('.actionsButton').on('click', function (event) {
                if (!$('.sortingPopup').hasClass('hidden')) {
                    $('.sortingPopup').addClass('hidden');
                }
                if ($('.actionsPopup').hasClass('hidden')) {
                    $('.actionsPopup').removeClass('hidden');
                } else {
                    $('.actionsPopup').addClass('hidden');
                }

            });
        }
    </script>
</head>
<body class="Sleek">
    <div class="gllogo"></div>
    <form id="form1" runat="server" style=" height: 100%">
        <div class="epi-project-overview dijitLayoutContainer dijitContainer dijitStackContainer-child dijitStackContainer-dijitLayoutContainer dijitVisible epi-cardContainer-child--primary epi-cardContainer-child" title="" style="left: 0px; top: 20px; height: 100%">
            <div class="epi-project-overview__toolbar epi-viewHeaderContainer epi-editToolbarMedium">
                <h2 class="dijitInline">
                    <div class="dijitInline epi-iconObjectProject epi-icon--large"></div>
                    <asp:Label Text="All submissions" ID="mainLabel" runat="server"></asp:Label>
                    <asp:Label Text="Select all" ID="selectAll" CssClass="selectAll" runat="server" Visible="false"></asp:Label>
                </h2>
                
                
            </div>

            <div class="dijitTabContainer dijitTabContainerTop dijitContainer dijitLayoutContainer tabStrip-disabled" id="dijit_layout_TabContainer_0" widgetid="dijit_layout_TabContainer_0" style="left: 0px; top: 0px; width: 100%;  height: 100%">
                
                <div data-dojo-attach-point="tablistSpacer" class="dijitTabSpacer dijitTabContainerTop-spacer dijitAlignTop" style="width: 100%;"></div>
                    <div class="epi-project-item-list dijitContainer dijitTabPane dijitTabContainerTop-child dijitTabContainerTop-dijitLayoutContainer dijitVisible dijitLayoutContainer dijitLayoutContainerSelected dijitSelected" id="uniqName_2_12" title="" widgetid="uniqName_2_12" style=" height: 100%">
                        
                        <div class="dijit dijitToolbar epi-project-item-list__toolbar epi-flatToolbar" role="toolbar" tabindex="0" data-dojo-attach-point="containerNode" id="dijit_Toolbar_12" widgetid="dijit_Toolbar_12">
                                <div class="epi-floatRight">
                                
                                <span class="dijit dijitReset dijitInline epi-flat epi-chromeless dijitToggleButton showHideFilters">
                                    <span class="dijitReset dijitInline dijitButtonNode">
                                        <span class="dijitReset dijitStretch dijitButtonContents" style="user-select: none;">
                                            <span class="dijitReset dijitInline dijitButtonText">Hide filters</span>
                                        </span>
                                    </span>
                                </span>
                                <div class="sortingWrap">
                                    <span class="dijit dijitReset dijitInline epi-flat epi-chromeless epi-chromeless--icon-only dijitDropDownButton sortingButton">
                                        <span class="dijitReset dijitInline dijitButtonNode">
                                            <span class="dijitReset dijitStretch dijitButtonContents dijitDownArrowButton" role="button" tabindex="-1" title="Sort" style="user-select: none;">
                                                <span class="dijitReset dijitInline dijitIcon epi-iconSort" data-dojo-attach-point="iconNode"></span>
                                                <span class="dijitReset dijitInline dijitButtonText dijitDisplayNone">Sort</span>
                                                <span class="dijitReset dijitInline dijitArrowButtonInner"></span>
                                                <span class="dijitReset dijitInline dijitArrowButtonChar">▼</span>
                                            </span>
                                        </span>
                                    </span>

                                    <div class="dijitPopup epi-optionsMenuPopup sortingPopup hidden" role="region" style="top: 39px; right: 12px; z-index: 1000; position:absolute;">
                                    <table class="dijit dijitMenu dijitReset dijitMenuTable epi-optionsMenu dijitMenuPassive" role="menu" tabindex="0" cellspacing="0" style="top: 0px; visibility: visible; overflow: visible; width: 232px;">
	                                    <tbody class="dijitReset" data-dojo-attach-point="containerNode">
                                            <tr ID="trSortContentName" runat="server" class="dijitReset dijitMenuItem" style="user-select: none;">
	                                            <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortNameChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel"><asp:Button ID="sortName" runat="server" OnClick="sortName_Click" Text="Content Name" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortNameDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortNameDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                            <tr ID="trSortDC" runat="server" class="dijitReset dijitMenuItem" style="user-select: none;">
	                                            <td class="dijitReset dijitMenuItemIconCell">
		                                            <asp:Label ID="sortDCChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel"><asp:Button ID="sortDC" runat="server" OnClick="sortDC_Click" Text="Date Created" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortDCDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortDCDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                            <tr ID="trSortDueDate" runat="server" class="dijitReset dijitMenuItem" style="user-select: none;">
	                                            <td class="dijitReset dijitMenuItemIconCell" role="presentation">
		                                            <asp:Label ID="sortDueDateChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel"><asp:Button ID="sortDueDate" runat="server" OnClick="sortDueDate_Click" Text="Due Date" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortDueDateDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortDueDateDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                            <tr ID="trSortDM" runat="server" class="dijitReset dijitMenuItem" style="user-select: none;">
	                                            <td class="dijitReset dijitMenuItemIconCell" role="presentation">
		                                            <asp:Label ID="sortDMChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel"><asp:Button ID="sortDM" runat="server" OnClick="sortDM_Click" Text="Date Imported" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortDMDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortDMDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                            <tr ID="trSortDP" runat="server" class="dijitReset dijitMenuItem" style="user-select: none;">
	                                            <td class="dijitReset dijitMenuItemIconCell" role="presentation">
		                                            <asp:Label ID="sortDPChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel"><asp:Button ID="sortDP" runat="server" OnClick="sortDP_Click" Text="Date Received" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortDPDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortDPDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                            <tr ID="trSortDCa" runat="server" class="dijitReset dijitMenuItem" style="user-select: none;">
	                                            <td class="dijitReset dijitMenuItemIconCell" role="presentation">
		                                            <asp:Label ID="sortDCaChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel"><asp:Button ID="sortDCa" runat="server" OnClick="sortDCa_Click" Text="Date Cancelled" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortDCaDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortDCaDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                            <tr ID="trSortSubName" runat="server" class="dijitReset dijitMenuItem" style="user-select: none;">
	                                            <td class="dijitReset dijitMenuItemIconCell" role="presentation">
		                                            <asp:Label ID="sortSubNameChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel"><asp:Button ID="sortSubName" runat="server" OnClick="sortSubName_Click" Text="Submission Name" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortSubNameDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortSubNameDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                            <tr ID="trSortStatus" runat="server" class="dijitReset dijitMenuItem" style="user-select: none;">
	                                            <td class="dijitReset dijitMenuItemIconCell" role="presentation">
		                                            <asp:Label ID="sortStatusChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel"><asp:Button ID="sortStatus" runat="server" OnClick="sortStatus_Click" Text="Status" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortStatusDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortStatusDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                       </tbody>
                                    </table>

                                    </div>
                                    </div>
                                    
                                    <div class="actionsWrap" runat="server" ID="actionsWrap">
                                        <span class="dijit dijitReset dijitInline epi-mediumButton epi-button--bold dijitDropDownButton actionsButton">
                                            <span class="dijitReset dijitInline dijitButtonNode">
                                                <span class="dijitReset dijitStretch dijitButtonContents dijitDownArrowButton" tabindex="0" style="user-select: none;">
                                                    <span class="dijitReset dijitInline dijitButtonText">Actions</span>
                                                    <span class="dijitReset dijitInline dijitArrowButtonChar" style="display:inline-block !important">▼</span>
                                                </span>
                                            </span>
                                        </span>

                                        <div class="dijitPopup epi-optionsMenuPopup actionsPopup hidden" style="top: 39px; right: 92px; z-index: 1000; padding: 7px 0; position:absolute; background-repeat: repeat-y; background-color: #555b61; border: 1px solid #666;">
                                            <asp:Button ID="btnCancelBtn" runat="server" OnClick="btnCancel_Click" Text="Cancel selected content" />
                                            <asp:Button ID="btnDoPublish" runat="server" Text="Publish selected" OnClick="btnDoPublish_Click" ToolTip="Publish selected content" />
                                            
                                        </div>
                                    </div>
                                    <span class="dijit dijitReset dijitInline epi-flat epi-chromeless epi-chromeless--icon-only dijitDropDownButton">
                                        <span class="dijitReset dijitInline dijitButtonNode">
                                            <span class="dijitReset dijitStretch dijitButtonContents dijitDownArrowButton" role="button" tabindex="-1" title="Refresh" style="user-select: none;">
                                                <asp:Button ID="btnRefresh" runat="server" CssClass="dijitIcon epi-iconReload" ToolTip="Refresh" OnClick="btnRefresh_Click" />
                                            </span>
                                        </span>
                                    </span>
                                    <span class="dijit dijitReset dijitInline epi-flat epi-chromeless epi-chromeless--icon-only dijitDropDownButton" ID="btnBackWrap" runat="server">
                                        <span class="dijitReset dijitInline dijitButtonNode">
                                            <span class="dijitReset dijitStretch dijitButtonContents dijitDownArrowButton" role="button" tabindex="-1" title="Back" style="user-select: none;">
                                                <asp:Button ID="btnBack" runat="server" CssClass="dijitIcon epi-iconLeft" ToolTip="Back" OnClick="btnBack_Click" />
                                            </span>
                                        </span>
                                    </span>
                            
                            
                                </div>
                        </div>
                        <div class="epi-project-item-list__container contentPanel" style="width: calc(100% - 340px);  height:calc(100% - 10px);display:inline-block">
                            <div class="dgrid dgrid-list ui-widget epi-card-list dgrid--centered-no-data-message" role="grid" >
                                <div class="dgrid-header dgrid-header-row ui-widget-header dgrid-header-hidden"></div>
                                <div class="dgrid-scroller" style="user-select: none; margin-top: 0px; margin-bottom: 0px;">
                                    <div class="dgrid-content ui-widget-content" tabindex="0">
                                        
                                        <asp:Repeater ID="submissions" runat="server" OnItemDataBound="ItemBound" OnItemCommand="submissions_ItemCommand">
                                            <ItemTemplate>
                                              
                                                
                                          <div class="epi-card dgrid-row dgrid-row-even ui-state-default subm" tabindex="0">
                                            <div class="epi-mo">
                                                <div class="epi-mo--img">
                                                    <div class="dijitIcon epi-card__icon"><span class="dijitInline dijitIcon epi-iconObjectContainer epi-objectIcon  epi-icon--large"></span></div>
                                                </div>
                                                <div class="epi-mo--body">
                                                    <div class="epi-card__menu">
                                                        <asp:Button CssClass="dijitInline dijitIcon epi-floatRight epi-iconContextMenu submExpand" CommandName="expandSubmission"  CommandArgument='<%#Eval("workId") %>' ID="btnExpand" runat="server" />
                                                    </div>
                                                    <div class="epi-card__info">
                                                        <div class="dijitInline">
                                                            <span class="epi-card__title" title="Last modified"><span class="epi-timestamp"><%# Eval("createdDate") %></span>, by <span class="epi-username"><%# Eval("creator") %></span></span>
                                                            <span class="epi-secondaryText">
                                                                <asp:Repeater ID="languages" runat="server" >
                                                                    <ItemTemplate>
                                                                        <asp:Button ID="expandLanguage" runat="server" CssClass="dijitInline epi-lozenge epi-card__language-branch pointer expandLanguage" Text='<%# Eval("targetLanguage") %>' CommandArgument='<%# Eval("targetLanguage") %>' OnClick="expandLanguage_Click" />
                                                                        </ItemTemplate>
                                                                    </asp:Repeater>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="dijitInline epi-card__title--ellipsis-wrapper">
                                                        <div>
                                                            <span class="dijitInline epi-card__title dojoxEllipsis"><%# Eval("name") %></span>
                                                        </div>
                                                        <span class="epi-secondaryText"><%# Eval("sourceLanguage") %></span>
                                                    </div>
                                                </div>
                                            </div>
                                              
                                              
                                          </div>
                                                        
                                            </ItemTemplate>
                                        </asp:Repeater>
                                                        <asp:Repeater ID="rptSubmissionItems" runat="server" OnItemDataBound="submissionItems_ItemDataBound" Visible="false">
                                                    <ItemTemplate>
                                                        <div class="dijitFocused">
                                                            <div class="epi-card-list">
                                                        <div class="epi-card dgrid-row dgrid-row-even ui-state-default subitems" tabindex="0">
                                                             <asp:CheckBox ID="isSelected" runat="server" CssClass="isSelected" />
                                                            <asp:Label Visible="false" ID="pkid" runat="server" Text='<%# Eval("pkid").ToString() %>'></asp:Label>
                                                            <div class="epi-mo--img">
                                                                <div class="dijitIcon epi-card__icon">
                                                                    <asp:Label ID="objectIcon" runat="server" CssClass="dijitInline dijitIcon epi-objectIcon  epi-icon--large" ToolTip='<%# Eval("pageType") %>'></asp:Label>
                                                                    </div>
                                                            </div>
                                                            <div class="epi-mo--body">
                                                                <div class="epi-card__menu">
                                                                </div>
                                                                <div class="epi-card__info">
                                                                    <div class="dijitInline">
                                                                        <span class="epi-card__title"><span class="epi-timestamp" title="Send date"><%# Eval("sentDate") %></span> - <span class="epi-timestamp" title="Date date"><%# Eval("dueDate") %></span>, <span class="epi-username" title="Last modified"><%# Eval("lastModifiedBy") %></span></span>
                                                                        <span class="epi-secondaryText">

                                                                            <span class="dijitInline epi-lozenge epi-card__language-branch"><%# Eval("projectLanguage") %></span>
                                                                        </span>
                                                                    </div>
                                                                </div>
                                                                <div class="dijitInline epi-card__title--ellipsis-wrapper">
                                                                    <div>
                                                                        <asp:HyperLink CssClass="dijitInline epi-card__title dojoxEllipsis pageLink" runat="server" ID="pageUrl" Target="_blank" NavigateUrl='<%# Eval("pageUrl") %>' ><%# Eval("pageName") %> (<%# Eval("pageLink") %>)</asp:HyperLink>
                                                                    </div>
                                                                    <asp:Label ID="statusIcon" runat="server" CssClass="dijitReset dijitInline dijitIcon epi-objectIcon epi-statusIndicatorIcon" ToolTip='<%# Eval("status").ToString() %>'></asp:Label>
                                                                    <span class="epi-secondaryText"><%# GetLocalStatus(Eval("status").ToString()) %></span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                                </div></div>
                                                    </ItemTemplate>
                                                </asp:Repeater>
                                              <asp:Label ID="noItemsFound" runat="server" Visible="false">No Items</asp:Label>
                                        
                                    </div>
                                </div>
                                <div class="dgrid-header dgrid-header-scroll dgrid-scrollbar-width ui-widget-header" style="height: 0px;"></div>
                                <div class="dgrid-footer dgrid-footer-hidden"></div>
                            </div>
                        </div>
                        <div style="width:320px;height:100%;display:inline-block;padding:0;position: absolute;top:50px;right:0" class="filtersPanel">
                            <div style="padding:10px">
                            <asp:Panel ID="Panel1" runat="server" BorderStyle="None" Direction="LeftToRight"
					            EnableTheming="False" HorizontalAlign="Left" Wrap="False" DefaultButton="filterGrid">
					            <table class="filtersTable">
						            <tr id="tdPageName" runat="server">
							            <td align="left">
								            <asp:Label ID="lblSearch" runat="server" Font-Bold="False" Font-Overline="False"
									            Text="Search "></asp:Label>
							            </td>
							            <td>
								            <asp:TextBox ID="txtPageName" runat="server" CssClass="dijitTextBox w-180"></asp:TextBox>
							            </td>
						            </tr>
                                    <tr id="tdSubName" runat="server">
							            <td align="left">
								            <asp:Label ID="Label2" runat="server" Font-Bold="False" Font-Overline="False"
									            Text="Search "></asp:Label>
							            </td>
							            <td>
								            <asp:TextBox ID="txtSubName" runat="server" CssClass="dijitTextBox w-168"></asp:TextBox>
							            </td>
						            </tr>
						            <tr id="tdSubLanguage" runat="server">
							            <td align="left">
								            <asp:Label ID="Label1" runat="server" Font-Bold="False" Text="Target Language "></asp:Label>
							            </td>
							            <td>
								            <asp:DropDownList ID="lstSubSource" runat="server" CssClass="dijitTextBox">
									            <asp:ListItem Selected="True" Text="Select" Value="0"></asp:ListItem>
								            </asp:DropDownList>
							            </td>
						            </tr>
                                    <tr id="tdTargetLanguage" runat="server">
							            <td align="left">
								            <asp:Label ID="Label3" runat="server" Font-Bold="False" Text="Target Language "></asp:Label>
							            </td>
							            <td>
								            <asp:DropDownList ID="lstItemsSource" runat="server" CssClass="dijitTextBox">
									            <asp:ListItem Selected="True" Text="Select" Value="0"></asp:ListItem>
								            </asp:DropDownList>
							            </td>
						            </tr>
						            <tr id="tdStatus" runat="server">
							            <td align="left">
								            <asp:Label ID="lblStatus" runat="server" Font-Bold="False" Text="Status "></asp:Label>
							            </td>
							            <td>
								            <asp:DropDownList ID="ddlstatus"  CssClass="dijitTextBox" runat="server">
									            <asp:ListItem Selected="True" Text="All" Value="-1"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="WaitingToSend" Value="1"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Sent" Value="4"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="ReadyForImport" Value="7"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="ToCancel" Value="13"></asp:ListItem>
                                                <asp:ListItem Selected="false" Text="Imported" Value="9"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Published" Value="10"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Cancelled" Value="14"></asp:ListItem>
								            </asp:DropDownList>
							            </td>
						            </tr>
						            <tr id="tdPageType" runat="server">
							            <td align="left">
								            <asp:Label ID="lblPageType" runat="server" Font-Bold="False" Text="Content type "></asp:Label>
							            </td>
							            <td>
								            <asp:DropDownList ID="ddlPageType" CssClass="dijitTextBox" runat="server">
									            <asp:ListItem Selected="True" Text="Blocks/Pages" Value="1"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Pages" Value="2"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Blocks" Value="3"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Nodes/Products/Variations" Value="4"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Nodes" Value="5"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Products/Variations" Value="6"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="All" Value="7"></asp:ListItem>
								            </asp:DropDownList>
							            </td>
						            </tr>
                                    <tr><td colspan="2">&nbsp;</td></tr>
						            <tr>
							            <td colspan="2">
                                            <div class="dijitButton" style="float:left"><asp:Button ID="filterGrid" CssClass="dijitButtonNode" runat="server" Text="Filter" OnClick="btnFilter_Click" /></div>
								            <div class="dijitButton" style="float:left"><asp:Button ID="clearValues1" CssClass="dijitButtonNode" runat="server" Text="Reset filters" OnClick="btnClear1_Click" /></div>
                                
							            </td>
						            </tr>
					            </table>
				            </asp:Panel>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </form>
</body>
</html>
