﻿<%@ Page Language="C#" AutoEventWireup="true" EnableViewState="true" EnableViewStateMac="true"
    CodeBehind="Configuration.aspx.cs" Inherits="GlobalLink.Translation.ui.Configuration" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>GlobalLink Add-on configuration</title>
    <style type="text/css">
        html, body, div, span, applet, object, iframe, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, tt, var, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, caption, tbody, tfoot, thead {
            border: 0 none;
            font-family: inherit;
            font-size: 100%;
            font-style: inherit;
            font-weight: inherit;
            margin: 0;
            padding: 0;
            vertical-align: baseline;
        }

        textarea, input, select, option, optgroup {
            font: 1em "Lucida Grande", "Lucida Sans Unicode",Arial,Verdana,Sans-Serif;
        }

        textarea, input, select {
            margin: 0;
            padding: 0;
        }

        thead, tfoot, tbody {
            margin: 0;
            padding: 0;
        }

        a:link, a:visited {
            color: #FFFFFF;
            text-decoration: none;
        }

        body {
            font: 75%/1.231 "Lucida Grande", "Lucida Sans Unicode",Arial,Verdana,Sans-Serif;
            text-align: left;
            color: #000000;
        }

        .epi-contentContainer {
            max-width: 65em;
            min-width: 45em;
            overflow: visible;
            position: relative;
        }

        .epi-padding {
            padding: 1.5em;
        }

        h1 {
            font-family: Helvetica,Arial,Sans-Serif;
            font-size: 1.7em;
            font-weight: normal;
            line-height: 1.3;
        }

        .EP-prefix {
            position: relative;
        }

        .epi-contentContainer h1 {
            border-bottom: 1px solid #BEBEBE;
            color: #333333;
            margin-bottom: 0.6em;
            padding-bottom: 0.3em;
        }

        .epi-tabView {
            overflow: hidden;
            padding-top: 0.4em;
            width: 100%;
        }

        ol, ul {
            list-style: none outside none;
        }

            ul.epi-tabView-navigation {
                background: url("Images/tab_bottomBorder.gif") repeat-x scroll left bottom transparent;
                list-style-type: none;
                overflow: hidden;
                padding: 0 0 0 0.7em;
            }

        li.epi-tabView-navigation-item a.epi-tabView-tab, li.epi-tabView-navigation-item-selected, li.epi-tabView-navigation-item-disabled {
            -moz-border-radius-topleft: 3px;
            -moz-border-radius-topright: 3px;
            background: url("Images/Gradients.png") repeat-x scroll left -4200px transparent;
            border: 1px solid #1C1C1C;
            float: left;
            height: 1.5em;
            margin-right: 0.2em;
            padding: 0.5em 0.6em 0;
            position: relative;
            text-shadow: 0 1px 0 #222222;
            white-space: nowrap !important;
        }

        li.epi-tabView-navigation-item a.epi-tabView-tab, li.epi-tabView-navigation-item-selected {
            background: url("Images/Gradients.png") repeat-x scroll left -2300px #DCDCDC;
            border: 1px solid #4D4D4D;
            color: #1D1D1D;
            text-shadow: 0 1px 0 #F8F8F8;
        }

        li.epi-tabView-navigation-item-selected {
            background: url("Images/Gradients.png") repeat-x scroll left -5200px #F8F8F8;
            border-bottom-color: #C7C7C7;
            color: #000000;
            text-shadow: 0 1px 0 #FFFFFF;
            display: inline-block;
        }

            li.epi-tabView-navigation-item-selected a, li.epi-tabView-navigation-item-selected a:visited, li.epi-tabView-navigation-item-selected a:active {
                color: #1D1D1D;
            }

                li.epi-tabView-navigation-item-selected a.epi-tabView-tab {
                    font-weight: bold;
                }

        li.epi-tabView-navigation-item, li.epi-tabView-navigation-item-disabled {
            display: inline;
        }

        .epi-formArea div.epi-size25, .epi-formArea div.epi-size25 div, .epi-formArea div.epi-size25 .div {
            margin: 0.5em 0;
            min-height: 18px;
        }

        .epi-formArea div.epi-size25 .div{display:block}

            .epi-formArea div.epi-size25 label, .epi-formArea label.epi-size25 {
                display: inline-block;
                margin-right: 0.5em;
                vertical-align: top;
                width: 10em;
            }

            .epi-formArea div.epi-size25 label, .epi-formArea label.epi-size25 {
                width: 25em;
                float: left;
            }

            .epi-formArea div.epi-size25.epi-size25-1 input {
                float: left;
            }

        select, textarea, input[type="text"], input[type="password"] {
            background-color: #FFFFFF;
            border: 1px solid #B4B4B4;
            color: #000000;
        }

        div.epi-buttonContainer, div.epi-buttonContainer-simple {
            margin: 1em 0 1.1em;
            padding: 0;
            text-align: right;
        }

        div.epi-buttonContainer {
            border-top: 1px solid #BEBEBE;
            padding: 1em 0 0;
        }

        span.epi-cmsButton, span.epitoolbutton, span.epi-cmsButton img, span.epitoolbutton img, span.epitoolbuttonmousedown img, span.epi-cmsButton a img, span.epitoolbutton a img, span.epitoolbutton a img, span.epitoolbuttonmousedown a img, span.epitoolbutton input, span.epi-cmsButton input[type="image"], span.epitoolbutton input[type="image"], span.epi-cmsButton input[type="image"], span.epitoolbutton input[type="image"], span.epi-cmsButton img + input, span.epitoolbutton img + input, span.epi-cmsButton img + input[value], span.epitoolbutton img + input[value], span.epitoolbuttonmousedown, .epi-cmsButton input, .epi-cmsButtonmousedown input {
            cursor: pointer;
        }

        input.epi-cmsButton-tools, input.epi-cmsButton-imageEditor {
            background-color: transparent;
            background-repeat: no-repeat;
            border: 0 none;
            height: 18px;
            margin: 0;
            overflow: visible;
            padding: 0;
            vertical-align: middle;
            width: 18px;
        }

        span.epi-cmsButton, span.epi-cmsButtondisabled {
            background-image: url("Images/ToolButtonBg.gif");
            background-position: left top;
            background-repeat: repeat-x;
            border: 1px solid #8D8D8D;
            display: inline-block;
            margin-right: 5px;
            overflow: visible;
            padding: 2px;
            white-space: nowrap;
        }

        input.epi-cmsButton-tools {
            background-image: url("Images/SpriteTools.png");
        }

        input.epi-cmsButton-text {
            min-width: 20px;
            padding-left: 20px;
            width: auto;
        }

        .epi-cmsButton-Delete {
            background-position: 0 -2478px;
        }

        .epi-cmsButton-Remap {
            background-position: 0 -6254px;
        }

        .epi-cmsButton-Save {
            background-position: 0 -6842px;
        }

        .epi-cmsButton-Add {
            background-position: 0 0;
        }

        .epi-cmsButton-Download {
            background-position: 0 -2949px;
        }

        .epi-cmsButton-Clean {
            background-position: 0 -2477px;
        }

        .epi-contentArea table, table.epi-default, table.epi-simple, table.epi-simpleWrapped {
            border: medium none;
            border-collapse: collapse;
            margin-bottom: 1em;
            width: 100%;
        }

        .epi-contentArea table, table.epi-default, table.epi-simple, table.epi-simpleWrapped {
            background-color: #FFFFFF;
        }

        table.epi-default {
            border: 1px solid #BEBEBE !important;
        }

        caption, th, td {
            font-weight: normal;
            text-align: left;
        }

        td {
            vertical-align: top;
        }

        .epi-contentArea th, table.epi-default th, table.epi-simple th, table.epi-simpleWrapped th {
            background: url("Images/Gradients.png") repeat-x scroll left -200px #BEBEBE;
            border-color: #333333;
            border-style: solid;
            border-width: 1px 1px 1px 0;
            color: #000000;
            font-weight: normal;
            padding: 0.1em 0.4em;
            text-shadow: 0 1px 0 #ABABAB;
        }

        .epi-contentArea th, table.epi-default th, table.epi-simple th, table.epi-simpleWrapped th {
            background: url("Images/Gradients.png") repeat-x scroll left -2200px #F1F1F1;
            border-color: #AEAEAE;
            color: #000000;
            text-shadow: 0 1px 0 #FFFFFF;
        }

        .epi-contentArea td, table.epi-default td, table.epi-simple td, table.epi-simpleWrapped td {
            border-bottom: 1px solid #666666;
            padding: 0.3em 0.4em;
        }

        .epi-contentArea td, table.epi-default td, table.epi-simple td, table.epi-simpleWrapped td {
            border-color: #BEBEBE;
        }

        .tableTdCentered td, .centered {
            text-align: center;
        }

        select {
            border: 1px solid #7F9DB9;
            font-size: 12px;
            padding: 1px 0;
        }

        .episize240 {
            border: 1px solid #7F9DB9;
            width: 240px;
        }

        .episize340 {
            border: 1px solid #7F9DB9;
            width: 340px;
        }

        select.episize240 {
            min-width: 242px;
        }

        span.episize240, span.episize340 {
            border: 0 none;
            display: inline-block;
        }

        textarea, input, select {
            margin: 0;
            padding: 0;
        }

        .epi-formArea input[type="radio"], .epi-formArea input[type="checkbox"] {
            margin-right: 0.3em;
        }

        .epi-formArea input[type="checkbox"] {
            display: inline;
            width: auto;
        }

        .lblStatus {
            color: Green;
        }

        .lblError {
            color: red;
        }

        .allLeft div {
            float: left;
        }

        .allLeft {
            height: 25px;
            clear:both;
        }

        .required {
            padding-right: 10px;
            width: 5px;
            color: Red;
        }

        .alertMsg {
            padding-left: 10px;
            color: Red;
            display: block;
        }

        .invis {
            display: none;
        }

        .left {
            float: left;
        }

        .status {
            font-size: 13px;
            padding: 4px;
        }

        .statusOk {
            color: Green;
        }

        .statusNotOk {
            color: Red;
        }

        .dateTimePicker th {
            text-align: center;
        }

        .dateTimePicker td {
            padding: 6px;
            text-align: center;
            letter-spacing: .05em;
        }

            .dateTimePicker td a {
                cursor: auto;
                font-size: 14px;
                font-weight: bold;
                font-family: Arial;
            }

        .dateTimePickerHeader td, .dateTimePickerHeader td a {
            color: #FFF !important;
            padding: 0;
            font-size: 14px;
            font-family: Verdana, Arial;
            letter-spacing: normal;
        }

            .dateTimePickerHeader td a {
                font-size: 10px;
            }

        .roleButtons {
            text-align: center;
            margin: 0 auto;
            vertical-align: middle;
        }

        .table {
            display: table
        }

            .table > div {
                display: table-row;
                height: 25px
            }

                .table > div > * {
                    display: table-cell
                }

            .table input {
                margin-top: 2px
            }

            .table #cleanDateBtn {
                height: 19px;
                margin: 1px 2px;
                line-height: 12px
            }

        .oneLine * {
            display: inline-block !important;
        }

        .oneLine label {
            width: auto !important;
            float: none !important;
        }

        .oneLine input[type=checkbox], .oneLine input[type=text], .oneLine input[type=submit] {
            float: none !important;
        }

        .separator {
            height: 1px !important;
            min-height: 1px !important;
            margin: 0 !important;
            display: block !important;
        }

        hr {
            display: block;
            margin: 15px 0;
        }

        .epi-formArea div.epi-size25 .inlineChk label, .epi-formArea .inlineChk label {
            width: auto;
            float: none !important;
        }

        input[disabled] {
            background-color: #ddd;
        }
    </style>
    <script type="text/javascript">
        function confirmDelete(obj) {
            var anychecked = false;
            for (var i = 0; i < obj.form.elements.length; i++) {
                if (obj.form.elements[i].name.indexOf('chkDelete') != -1 &&
                    obj.form.elements[i].type == 'checkbox') {
                    if (obj.form.elements[i].checked) {
                        anychecked = true;
                    }
                }
            }
            if (anychecked) {
                if (confirm("If you delete language from language map, you will not be able to receive completed targets from GL with deleted target language. Are you sure you want to delete selected languages?")) {
                    return true;
                } else {
                    return false;
                }
            } else {
                alert("Please check items you would like to delete");
                return false;
            }
        }
        function confirmCleanDB(obj) {
            var anychecked = false;

            for (var i = 0; i < obj.form.elements.length; i++) {
                if (obj.form.elements[i].name.indexOf('cleanType') != -1 &&
                    obj.form.elements[i].type == 'radio') {
                    if (obj.form.elements[i].checked) {
                        var id = obj.form.elements[i].id;
                        var message = "";
                        if (id == 'cleanType1') {
                            message = "Deleting ALL submissions (active and history). Are you sure?";
                        } else if (id == 'cleanType2') {
                            message = "Deleting all active submissions (keeping history). Are you sure?";
                        } else if (id == 'cleanTypeHistory') {
                            message = "Deleting all history submissions (keeping active). Are you sure?";
                        } else if (id == 'cleanType3') {
                            message = "Deleting all submissions created after " + obj.form.elements.cleanDate.value + " (newest). Are you sure?";
                        } else if (id == 'cleanTypeOld') {
                            message = "Deleting all submissions created before " + obj.form.elements.cleanOldDate.value + " (oldest). Are you sure?";
                        } else if (id == 'cleanType4') {
                            message = "Deleting project with id " + obj.form.elements.cleanProjectId.value + ". Are you sure?";
                        } else if (id == 'cleanType5') {
                            message = "Deleting item with id " + obj.form.elements.cleanItemId.value + ". Are you sure?";
                        } else if (id == 'cleanType6') {
                            message = "Deleting using custom query. Are you sure?";
                        }
                        if (confirm(message)) {
                            return true;
                        } else {
                            return false;
                        }
                    }
                }
            }
            return false;
        }

        function CheckAllDelete(obj) {
            for (var i = 0; i < obj.form.elements.length; i++) {
                if (obj.form.elements[i].name.indexOf('chkDelete') != -1 &&
                    obj.form.elements[i].type == 'checkbox' &&
                    obj.form.elements[i].name != obj.name) {
                    if (obj.checked) {
                        obj.form.elements[i].checked = true;
                    }
                    else {
                        obj.form.elements[i].checked = false;
                    }
                }
            }
        }
        function CheckOther(obj, id) {
            var prefix = new String(obj.id);
            prefix = prefix.substring(0, prefix.indexOf('GridView1')) + 'GridView1_ctl01_' + id;
            if (document.getElementById(prefix))
                document.getElementById(prefix).checked = false;
        }
        function switchOnLoad() {
            var id = document.getElementById('curpage').value;
            switchTab2(id);
        }

        function switchTab(id) {
            switchTab2(id);
            var d = document.getElementById('view6');
            var es = d.getElementsByTagName('input');
            es.cleanType1.checked = true
            for (var i = 0; i < es.length; i++) {
                if (es[i].type == 'text' || es[i].type == 'password') {
                    es[i].value = "";
                }
            }
            document.getElementById('lblErorrStatus6').style.display = "none";
            document.getElementById('lblStatus6').style.display = "none";
            document.getElementById('lblErorrStatus7').style.display = "none";
            document.getElementById('lblStatus7').style.display = "none";
            document.getElementById('lblErorrStatus9').style.display = "none";
            document.getElementById('lblStatus9').style.display = "none";
            document.getElementById('lblErorrStatus10').style.display = "none";
            document.getElementById('lblStatus10').style.display = "none";
            document.getElementById('lblErrorStatus11').style.display = "none";
            document.getElementById('lblStatus11').style.display = "none";
            document.getElementById('lblErrorStatus12').style.display = "none";
            document.getElementById('lblStatus12').style.display = "none";
            document.getElementById('lblErrorStatus13').style.display = "none";
            document.getElementById('lblStatus13').style.display = "none";
            document.getElementById('lblErrorStatus1').style.display = "none";
            document.getElementById('lblStatus1').style.display = "none";
            document.getElementById('lblStatus3').style.display = "none";
            document.getElementById('lblStatus5').style.display = "none";
            document.getElementById('chkSchedSend').checked = false;
            document.getElementById('chkSchedRetrieve').checked = false;
            document.getElementById('chkSchedCancel').checked = false;
            //document.getElementById('pageTypeList').selectedIndex = 0;
            //document.getElementById('pageTypeList').dispatchEvent(new Event('change'));
        }
        function switchTab2(id) {
            document.getElementById('curpage').value = id;
            document.getElementById('actionTab1').setAttribute("class", "epi-tabView-navigation-item");
            document.getElementById('actionTab2').setAttribute("class", "epi-tabView-navigation-item");
            document.getElementById('actionTab3').setAttribute("class", "epi-tabView-navigation-item");
            document.getElementById('actionTab4').setAttribute("class", "epi-tabView-navigation-item");
            document.getElementById('actionTab6').setAttribute("class", "epi-tabView-navigation-item");
            document.getElementById('actionTab7').setAttribute("class", "epi-tabView-navigation-item");
            document.getElementById('actionTab9').setAttribute("class", "epi-tabView-navigation-item");
            document.getElementById('actionTab10').setAttribute("class", "epi-tabView-navigation-item");
            document.getElementById('actionTab11').setAttribute("class", "epi-tabView-navigation-item");
            document.getElementById('actionTab12').setAttribute("class", "epi-tabView-navigation-item");
            document.getElementById('actionTab13').setAttribute("class", "epi-tabView-navigation-item");
            if (document.getElementById('actionTab5'))
                document.getElementById('actionTab5').setAttribute("class", "epi-tabView-navigation-item");
            document.getElementById('actionTab' + id).setAttribute("class", "epi-tabView-navigation-item-selected");
            document.getElementById('view1').style.display = "none";
            document.getElementById('view2').style.display = "none";
            document.getElementById('view3').style.display = "none";
            document.getElementById('view4').style.display = "none";
            document.getElementById('view5').style.display = "none";
            document.getElementById('view6').style.display = "none";
            document.getElementById('view7').style.display = "none";
            document.getElementById('view9').style.display = "none";
            document.getElementById('view10').style.display = "none";
            document.getElementById('view11').style.display = "none";
            document.getElementById('view12').style.display = "none";
            document.getElementById('view13').style.display = "none";
            document.getElementById('view' + id).style.display = "block";

            

        }
        function popupCalendar(id) {
            var dateField = document.getElementById(id);

            if (dateField.style.display == 'none')
                dateField.style.display = 'block';
            else
                dateField.style.display = 'none';
        }

    </script>
</head>
<body onload="switchOnLoad()">
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <div class="epi-contentContainer epi-padding">
            <h1 class="EP-prefix">GlobalLink Add-on configuration</h1>
            <asp:UpdateProgress ID="updateProgress" runat="server">
                <ProgressTemplate>
                    <div style="position: fixed; text-align: center; height: 100%; width: 100%; top: 0; right: 0; left: 0; z-index: 9999999; background-color: #000000; opacity: 0.7;">
                        <span style="border-width: 0px; position: fixed; color: #FFF; font-size: 36px; left: 40%; top: 40%;">Saving ...</span>
                    </div>
                </ProgressTemplate>
            </asp:UpdateProgress>
            <div class="epi-tabView">
                <ul class="epi-tabView-navigation">
                    <li id="actionTab1" class="epi-tabView-navigation-item-selected" onclick="switchTab(1, this)">
                        <a class="epi-tabView-tab" target="_self" href="javascript:void(0)">GlobalLink Settings</a>
                    </li>
                    <li id="actionTab2" class="epi-tabView-navigation-item" onclick="switchTab(2, this)">
                        <a class="epi-tabView-tab" target="_self" href="javascript:void(0)">Locale mapping</a>
                    </li>
                    <li id="actionTab3" class="epi-tabView-navigation-item" onclick="switchTab(3, this)"
                        runat="server"><a class="epi-tabView-tab" target="_self" href="javascript:void(0)">Other
						settings</a> </li>
                    <li id="actionTab4" class="epi-tabView-navigation-item" onclick="switchTab(4, this)"
                        runat="server"><a class="epi-tabView-tab" target="_self" href="javascript:void(0)">Field configuration</a> </li>
                    <li id="actionTab5" class="epi-tabView-navigation-item" onclick="switchTab(5, this)"
                        runat="server"><a class="epi-tabView-tab" target="_self" href="javascript:void(0)">Commerce</a> </li>
                    <li id="actionTab6" class="epi-tabView-navigation-item" onclick="switchTab(6, this)"
                        runat="server"><a class="epi-tabView-tab" target="_self" href="javascript:void(0)">Database Cleanup</a> </li>
                    <li id="actionTab7" class="epi-tabView-navigation-item" onclick="switchTab(7, this)"
                        runat="server"><a class="epi-tabView-tab" target="_self" href="javascript:void(0)">Notification</a> </li>
                    <li id="actionTab9" class="epi-tabView-navigation-item" onclick="switchTab(9, this)"
                        runat="server"><a class="epi-tabView-tab" target="_self" href="javascript:void(0)">Wizard settings</a> </li>
                    <li id="actionTab10" class="epi-tabView-navigation-item" onclick="switchTab(10, this)"
                        runat="server"><a class="epi-tabView-tab" target="_self" href="javascript:void(0)">Scheduler</a> </li>
                    <li id="actionTab11" class="epi-tabView-navigation-item" onclick="switchTab(11, this)"
                        runat="server"><a class="epi-tabView-tab" target="_self" href="javascript:void(0)">Export/Import</a> </li>
                    <li id="actionTab12" class="epi-tabView-navigation-item" onclick="switchTab(12, this)"
                        runat="server"><a class="epi-tabView-tab" target="_self" href="javascript:void(0)">Dashboard configuration</a> </li>
                    <li id="actionTab13" class="epi-tabView-navigation-item" onclick="switchTab(13, this)"
                        runat="server"><a class="epi-tabView-tab" target="_self" href="javascript:void(0)">Preview server</a> </li>
                </ul>
            </div>
            <div style="display: none">
                <asp:TextBox ID="curpage" Text="1" runat="server"></asp:TextBox>
            </div>
            <div id="view1" style="display: block">
                <div class="epi-contentContainer">
                    <div class="epi-padding">
                        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                            <ContentTemplate>
                                <asp:Label ID="lblStatus1" runat="server" CssClass="lblStatus" Text=""></asp:Label>
                                <asp:Label ID="lblErrorStatus1" runat="server" CssClass="lblError" Text=""></asp:Label>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnSave1" />
                            </Triggers>
                        </asp:UpdatePanel>

                        <div class="epi-formArea" style="display: block;">
                            <div class="epi-size25">
                                <div class="allLeft">
                                    <div>
                                        <label for="txtURL">
                                            GlobalLink URL</label>
                                    </div>
                                    <div class="required">
                                        *
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtURL" runat="server" CssClass="episize240"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="txtUsername">
                                            Username</label>
                                    </div>
                                    <div class="required">
                                        *
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtUsername" runat="server" CssClass="episize240"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="txtPassword">
                                            Password</label>
                                    </div>
                                    <div class="required">
                                        *
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtPassword" TextMode="Password" runat="server" CssClass="episize240"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="txtPrefix">
                                            Submission Name Prefix</label>
                                    </div>
                                    <div class="required">
                                        &nbsp;
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtPrefix" runat="server" CssClass="episize240"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="txtFileFormat">
                                            Classifier (File format)</label>
                                    </div>
                                    <div class="required">
                                        *
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtFileFormat" runat="server" CssClass="episize240 left"></asp:TextBox>
                                    </div>
                                    <div>
                                        <asp:Label runat="server" ID="msgFileFormatIncorrect" CssClass="alertMsg" Visible="false">Classifier is incorrect</asp:Label>
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="txtMaxPerSub">
                                            Max number of files per submission</label>
                                    </div>
                                    <div class="required">
                                        &nbsp;
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtMaxPerSub" runat="server" CssClass="episize240"></asp:TextBox>
                                    </div>
                                    <div>
                                        <asp:CompareValidator ID="CompareValidator2" runat="server" ControlToValidate="txtMaxPerSub"
                                            Type="Integer" Display="Dynamic" Operator="DataTypeCheck" ErrorMessage="Value must be an integer"
                                            CssClass="alertMsg" />
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="txtMaxTargets">
                                            Translation retrieval batch size</label>
                                    </div>
                                    <div class="required">
                                        *
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtMaxTargets" runat="server" CssClass="episize240"></asp:TextBox>
                                    </div>
                                    <div>
                                        <asp:CompareValidator ID="maxTargetsCV" runat="server" ControlToValidate="txtMaxTargets"
                                            Type="Integer" Display="Dynamic" Operator="DataTypeCheck" ErrorMessage="Value must be an integer"
                                            CssClass="alertMsg" />
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="txtUserAgent">
                                            UID</label>
                                    </div>
                                    <div class="required">
                                        &nbsp;
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtUserAgent" runat="server" CssClass="episize240"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="userAgentIdentifier">
                                            Use UID for retrieval</label><br />
                                        <div style="width: 300px; color: #777; font-size: 80%; margin: 0">If checked, the UID will be used as an additional key when retrieving content</div>
                                    </div>
                                    <div class="required">
                                        &nbsp;
                                    </div>
                                    <div>
                                        <asp:CheckBox ID="userAgentIdentifier" runat="server" CssClass="episize240" />
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="epi-buttonContainer">
                        <span class="epi-cmsButton">
                            <asp:Button ID="btnSave1" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save"
                                OnClick="btnSave1_Click" Text="Save&Test GL Settings" runat="server" />
                        </span>
                    </div>
                </div>
            </div>
            <div id="view2" style="display: none">
                <div class="epi-contentContainer">
                    <div class="epi-padding">
                        <asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="False" CellPadding="2"
                            DataKeyNames="Id" BorderStyle="None" GridLines="Horizontal" EmptyDataText="No locale mapping set"
                            CssClass="epi-default">
                            <Columns>
                                <asp:TemplateField>
                                    <HeaderTemplate>
                                        <asp:CheckBox ID="chkAllDelete" runat="server" onclick="CheckAllDelete(this)" />
                                    </HeaderTemplate>
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkDelete" runat="server" CssClass="centered" />
                                    </ItemTemplate>
                                    <ItemStyle Wrap="False" />
                                </asp:TemplateField>
                                <asp:BoundField DataField="EPiLanguage" HeaderText="EPiServer locale" ReadOnly="True">
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:BoundField DataField="PDLanguage" HeaderText="GL locale" ReadOnly="True">
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:TemplateField HeaderText="Available as source locale">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkTblSource" runat="server" Enabled="false" Checked='<%# bool.Parse(Eval("isSource").ToString())%>' />
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Available as target locale">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkTblTarget" runat="server" Enabled="false" Checked='<%# bool.Parse(Eval("isTarget").ToString())%>' />
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:BoundField DataField="Reviewers" HeaderText="Reviewers" ReadOnly="True">
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                            </Columns>
                        </asp:GridView>
                        <div class="epi-buttonContainer">
                            <span class="epi-cmsButton">
                                <asp:Button ID="btnDelete2" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Delete"
                                    type="submit" OnClick="btnDelete2_Click" Text="Delete" runat="server" />
                            </span>
                        </div>
                        <hr />
                        <div class="epi-formArea" style="display: block;">
                            <div class="epi-size25">
                                <div>
                                    <label for="lstSource">
                                        EPiServer locale</label>
                                    <asp:DropDownList ID="lstSource" runat="server" CssClass="episize240">
                                    </asp:DropDownList>
                                </div>
                                <div>
                                    <label for="lstTargets">
                                        GlobalLink locale</label>
                                    <asp:DropDownList ID="lstTargets" runat="server" CssClass="episize240">
                                    </asp:DropDownList>
                                </div>
                                <div>
                                    <label for="chkAvSource">
                                        Available as source locale</label>
                                    <asp:CheckBox ID="chkAvSource" Checked="true" runat="server" CssClass="episize240"></asp:CheckBox>
                                </div>
                                <div>
                                    <label for="chkAvTarget">
                                        Available as target locale</label>
                                    <asp:CheckBox ID="chkAvTarget" Checked="true" runat="server" CssClass="episize240"></asp:CheckBox>
                                </div>
                                <div>
                                    <label for="txtEmailReviewers">
                                        Reviewers Email (separate by comma)</label>
                                    <asp:TextBox ID="txtEmailReviewers" Checked="true" runat="server" CssClass="episize240">
                                    </asp:TextBox>
                                </div>
                            </div>
                        </div>
                        <div class="epi-buttonContainer">
                            <span class="epi-cmsButton">
                                <asp:Button ID="btnAdd2" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Add"
                                    type="submit" OnClick="btnAdd2_Click" Text="Add" runat="server" />
                            </span>
                        </div>
                    </div>
                </div>
            </div>
            <div id="view3" style="display: none">
                <div class="epi-contentContainer">
                    <div class="epi-padding">
                        <asp:UpdatePanel ID="UpdatePanel3" runat="server">
                            <ContentTemplate>
                                <asp:Label ID="lblStatus3" runat="server" CssClass="lblStatus" Text=""></asp:Label>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnSave3" />
                            </Triggers>
                        </asp:UpdatePanel>

                        <div class="epi-formArea" style="display: block;">
                            <div class="epi-size25">
                                <div>
                                    <label for="txtSchedulerUser">
                                        Scheduler User</label>
                                    <asp:TextBox ID="txtSchedulerUser" runat="server" CssClass="episize240"></asp:TextBox>
                                </div>
                                <div>
                                    <label for="lstRetrieveType">
                                        Retrieve completed targets by</label>
                                    <asp:DropDownList ID="lstRetrieveType" runat="server" CssClass="episize240">
                                    </asp:DropDownList>
                                </div>
                                <div>
                                    <label for="lstTicketNotFound">
                                        If target ticket not found</label>
                                    <asp:DropDownList ID="lstTicketNotFound" runat="server" CssClass="episize240">
                                    </asp:DropDownList>
                                </div>
                                <div>
                                    <label for="chkKeepOnUninstall">
                                        Keep settings and submissions when uninstalling</label>
                                    <asp:CheckBox ID="chkKeepOnUninstall" runat="server" CssClass="episize240" />
                                </div>
                                <div>
                                    <label for="chkAllowCancel">
                                        Allow cancellation</label>
                                    <asp:CheckBox ID="chkAllowCancel" runat="server" CssClass="episize240" />
                                </div>
                                <div>
                                    <label for="lstLogLevel">
                                        Log level</label>
                                    <asp:DropDownList ID="lstLogLevel" runat="server" CssClass="episize240">
                                    </asp:DropDownList>
                                </div>
                                <div>
                                    <label for="txtArchiveDate">Archive submissions</label>
                                    <table cellpadding="0" cellspacing="0" border="0">
                                        <tr>
                                            <td>
                                                <asp:TextBox ID="txtArchiveDate" runat="server" ReadOnly="true" CssClass="episize240"></asp:TextBox>
                                                <input type="button" id="calButton" runat="server" value="..." onclick="popupCalendar('dateField')" />
                                                <asp:Button ID="btnArchive" runat="server" Text="Archive"
                                                    OnClick="btnArchive_Click" ToolTip="Archive submissions which were received or cancelled before selected date" />
                                                <div id="dateField" style="display: none; position: absolute; padding: 12px; z-index: 100; background-color: #f0f2f3; border: solid 1px #b5bcc7; box-shadow: 0 3px 5px 2px rgba(0,0,0,0.25);">
                                                    <asp:Calendar ID="calDate" runat="server" CellPadding="6" CssClass="dateTimePicker"
                                                        BackColor="#FFFFFF" ForeColor="Black" DayNameFormat="FirstLetter" BorderWidth="0"
                                                        OnVisibleMonthChanged="KeepCalendarVisible" OnSelectionChanged="calDate_SelectionChanged">
                                                        <DayStyle BorderColor="#eaeaea" BorderWidth="1" Font-Bold="true" HorizontalAlign="Center" />
                                                        <TodayDayStyle ForeColor="Black" BackColor="#CCCCCC"></TodayDayStyle>
                                                        <NextPrevStyle VerticalAlign="Middle"></NextPrevStyle>
                                                        <DayHeaderStyle Font-Size="7pt" BackColor="#f0f2f3"></DayHeaderStyle>
                                                        <SelectedDayStyle Font-Bold="True" ForeColor="Black" BackColor="#c4d700"></SelectedDayStyle>
                                                        <TitleStyle CssClass="dateTimePickerHeader" BackColor="#636d72"></TitleStyle>

                                                        <OtherMonthDayStyle BackColor="#bec4cb" ForeColor="#FFFFFF"></OtherMonthDayStyle>
                                                    </asp:Calendar>
                                                </div>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                                <div>
                                    <span class="epi-cmsButton">
                                        <asp:Button ID="btnDumpDb" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Download"
                                            OnClick="btnDump_Click" runat="server" Text="Dump DB to log" />
                                    </span>
                                </div>
                                <asp:TextBox ID="txtLog" runat="server" Visible="false" Width="200" Text="C:\\log\\GlobalLinkLog.txt"></asp:TextBox>
                            </div>
                        </div>
                    </div>
                    <div class="epi-buttonContainer">
                        <span class="epi-cmsButton">
                            <asp:Button ID="btnSave3" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save"
                                OnClick="btnSave3_Click" Text="Save Other Settings" runat="server" />
                        </span>
                    </div>
                </div>
            </div>
            <div id="view4" style="display: none">
                <div class="epi-contentContainer">
                    <div class="epi-padding">
                        <div class="epi-formArea" style="display: block;">
                            <div class="epi-size25">
                                <div>
                                    <label for="lstSource">
                                        Content Type</label>
                                    <asp:DropDownList ID="pageTypeList" runat="server" CssClass="episize240" AutoPostBack="true" OnSelectedIndexChanged="pageTypeChanged">
                                    </asp:DropDownList>
                                </div>
                            </div>
                        </div>
                        <asp:GridView ID="pagePropsGrid" runat="server" AutoGenerateColumns="False" CellPadding="2"
                            DataKeyNames="propertyId" BorderStyle="None" GridLines="Horizontal" EmptyDataText=""
                            CssClass="epi-default">
                            <Columns>
                                <asp:BoundField DataField="contentTypeId" Visible="false" />
                                <asp:BoundField DataField="propertyId" HeaderText="Id" ReadOnly="True">
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:BoundField DataField="name" HeaderText="Name" ReadOnly="True">
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:BoundField DataField="displayName" HeaderText="Field name" ReadOnly="True">
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:BoundField DataField="type" HeaderText="Type" ReadOnly="True">
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:BoundField DataField="stringLength" HeaderText="Length" ReadOnly="True">
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:TemplateField HeaderText="Language Specific">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkLocalized" runat="server" Enabled="false" CssClass="centered" Checked='<%# bool.Parse(Eval("localized").ToString())%>' />
                                    </ItemTemplate>
                                    <ItemStyle Wrap="False" />
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Translatable">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkTranslate" runat="server" CssClass="centered" Enabled='<%# bool.Parse(Eval("localized").ToString())%>' Checked='<%# bool.Parse(Eval("translatable").ToString())%>'
                                            AutoPostBack="true" OnCheckedChanged="chkTranslate_changed" />
                                    </ItemTemplate>
                                    <ItemStyle Wrap="False" />
                                </asp:TemplateField>
                                <asp:TemplateField HeaderText="Prevent Translation Attribute">
                                    <ItemTemplate>
                                        <asp:CheckBox ID="chkPrevent" runat="server" CssClass="centered" Enabled="false" Checked='<%# bool.Parse(Eval("prevent").ToString())%>'
                                            />
                                    </ItemTemplate>
                                    <ItemStyle Wrap="False" />
                                </asp:TemplateField>
                            </Columns>
                        </asp:GridView>
                        <div class="epi-buttonContainer">
                            <span class="epi-cmsButton">
                                <asp:Button ID="syncButton" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Add"
                                    OnClick="btnSync_Click" Text="Synchronize" runat="server" />
                            </span>
                        </div>
                    </div>
                </div>
            </div>
            <div id="view5" style="display: none">
                <div class="epi-contentContainer">
                    <div class="epi-padding">
                        <asp:UpdatePanel ID="UpdatePanel5" runat="server">
                            <ContentTemplate>
                                <asp:Label ID="lblStatus5" runat="server" CssClass="lblStatus" Text=""></asp:Label>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnSave5" />
                            </Triggers>
                        </asp:UpdatePanel>

                        <div class="epi-formArea" style="display: block;">
                            <div class="epi-size25">
                                <div>
                                    <label for="lstCommProject">
                                        Commerce project</label>
                                    <asp:DropDownList ID="lstCommProject" runat="server" CssClass="episize240" />
                                </div>
                                <div>
                                    <label for="txtCommFileFormat">
                                        Classifier (File format)</label>
                                    <asp:TextBox ID="txtCommFileFormat" runat="server" CssClass="episize240"></asp:TextBox>
                                </div>
                            </div>
                            <asp:Label Text="NOTE: Default project and file format will be used if not set" ID="Label2" runat="server"></asp:Label>
                        </div>
                        
                    </div>
                    <div class="epi-buttonContainer">
                        <span class="epi-cmsButton">
                            <asp:Button ID="btnSave5" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save"
                                OnClick="btnSave5_Click" Text="Save Commerce Settings" runat="server" />
                        </span>
                    </div>
                </div>
            </div>
            <div id="view6" style="display: none">
                <div class="epi-contentContainer">
                    <div class="epi-padding">
                        <asp:UpdatePanel ID="UpdatePanel6" runat="server">
                            <ContentTemplate>
                                <asp:Label ID="lblStatus6" runat="server" CssClass="lblStatus" Text=""></asp:Label>
                                <asp:Label ID="lblErorrStatus6" runat="server" CssClass="lblError" Text=""></asp:Label>
                                <asp:Label ID="lblProjects" runat="server" CssClass="lblStatus" Text=""></asp:Label>
                                <asp:Label ID="lblProjectItems" runat="server" CssClass="lblStatus" Text=""></asp:Label>
                                <asp:Label ID="lblItemDatas" runat="server" CssClass="lblStatus" Text=""></asp:Label>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnClearDB" />
                            </Triggers>
                        </asp:UpdatePanel>

                        <div class="epi-formArea" style="display: block;">
                            <div class="epi-size25 epi-size25-1">
                                <div class="table">
                                    <div>
                                        <asp:RadioButton runat="server" GroupName="cleanType" Checked="true" ID="cleanType1" Text="All submissions (active and history)" />
                                    </div>
                                    <div>
                                        <asp:RadioButton runat="server" GroupName="cleanType" ID="cleanType2" Text="All active submissions only (keep history)" />
                                    </div>
                                    <div>
                                        <asp:RadioButton runat="server" GroupName="cleanType" ID="cleanTypeHistory" Text="All history submissions only (keep active)" />
                                    </div>
                                    <div>
                                        <asp:RadioButton runat="server" GroupName="cleanType" ID="cleanType3" Text="All submissions created after" />
                                        <table style="float: left" cellpadding="0" cellspacing="0">
                                            <tr>
                                                <td>
                                                    <asp:TextBox ID="cleanDate" runat="server" ReadOnly="true" CssClass="episize240"></asp:TextBox>
                                                    <input type="button" id="cleanDateBtn" runat="server" value="..." onclick="popupCalendar('dateField2')" />
                                                    <div id="dateField2" style="display: none; position: absolute; padding: 12px; z-index: 100; background-color: #f0f2f3; border: solid 1px #b5bcc7; box-shadow: 0 3px 5px 2px rgba(0,0,0,0.25);">
                                                        <asp:Calendar ID="calCleanDate" runat="server" CellPadding="6" CssClass="dateTimePicker"
                                                            BackColor="#FFFFFF" ForeColor="Black" DayNameFormat="FirstLetter" BorderWidth="0"
                                                            OnVisibleMonthChanged="KeepCalendarVisible2" OnSelectionChanged="calDate2_SelectionChanged">
                                                            <DayStyle BorderColor="#eaeaea" BorderWidth="1" Font-Bold="true" HorizontalAlign="Center" />
                                                            <TodayDayStyle ForeColor="Black" BackColor="#CCCCCC"></TodayDayStyle>
                                                            <NextPrevStyle VerticalAlign="Middle"></NextPrevStyle>
                                                            <DayHeaderStyle Font-Size="7pt" BackColor="#f0f2f3"></DayHeaderStyle>
                                                            <SelectedDayStyle Font-Bold="True" ForeColor="Black" BackColor="#c4d700"></SelectedDayStyle>
                                                            <TitleStyle CssClass="dateTimePickerHeader" BackColor="#636d72"></TitleStyle>

                                                            <OtherMonthDayStyle BackColor="#bec4cb" ForeColor="#FFFFFF"></OtherMonthDayStyle>
                                                        </asp:Calendar>
                                                    </div>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                    <div>
                                        <asp:RadioButton runat="server" GroupName="cleanType" ID="cleanType4" Text="Project with ID" /><asp:TextBox ID="cleanProjectId" runat="server" CssClass="episize240"></asp:TextBox>
                                    </div>
                                    <div>
                                        <asp:RadioButton runat="server" GroupName="cleanType" ID="cleanType5" Text="Item with ID" /><asp:TextBox ID="cleanItemId" runat="server" CssClass="episize240"></asp:TextBox>
                                    </div>
                                    <div>
                                        <asp:RadioButton runat="server" GroupName="cleanType" ID="cleanTypeOld" Text="All submissions created before" />
                                        <table style="float: left" cellpadding="0" cellspacing="0">
                                            <tr>
                                                <td>
                                                    <asp:TextBox ID="cleanOldDate" runat="server" ReadOnly="true" CssClass="episize240"></asp:TextBox>
                                                    <input type="button" id="cleanOldDateBtn" runat="server" value="..." onclick="popupCalendar('cleanOldDateCal')" />
                                                    <div id="cleanOldDateCal" style="display: none; position: absolute; padding: 12px; z-index: 100; background-color: #f0f2f3; border: solid 1px #b5bcc7; box-shadow: 0 3px 5px 2px rgba(0,0,0,0.25);">
                                                        <asp:Calendar ID="calCleanOldDate" runat="server" CellPadding="6" CssClass="dateTimePicker"
                                                            BackColor="#FFFFFF" ForeColor="Black" DayNameFormat="FirstLetter" BorderWidth="0"
                                                            OnVisibleMonthChanged="KeepCalendarVisible3" OnSelectionChanged="calOldDate3_SelectionChanged">
                                                            <DayStyle BorderColor="#eaeaea" BorderWidth="1" Font-Bold="true" HorizontalAlign="Center" />
                                                            <TodayDayStyle ForeColor="Black" BackColor="#CCCCCC"></TodayDayStyle>
                                                            <NextPrevStyle VerticalAlign="Middle"></NextPrevStyle>
                                                            <DayHeaderStyle Font-Size="7pt" BackColor="#f0f2f3"></DayHeaderStyle>
                                                            <SelectedDayStyle Font-Bold="True" ForeColor="Black" BackColor="#c4d700"></SelectedDayStyle>
                                                            <TitleStyle CssClass="dateTimePickerHeader" BackColor="#636d72"></TitleStyle>

                                                            <OtherMonthDayStyle BackColor="#bec4cb" ForeColor="#FFFFFF"></OtherMonthDayStyle>
                                                        </asp:Calendar>
                                                    </div>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                    <div style="display: none">
                                        <div>
                                            <asp:RadioButton runat="server" GroupName="cleanType" ID="cleanType6" Text="Custom query" />
                                        </div>
                                        <div class="separator">&nbsp;</div>
                                        <div class="oneLine">
                                            Scope: Get 
                                        <asp:DropDownList ID="scopeTableName" runat="server" OnSelectedIndexChanged="lstScopeTable_Changed" AutoPostBack="true">
                                            <asp:ListItem Text=" " Value="-1"></asp:ListItem>
                                            <asp:ListItem Text="Submission" Value="Submission"></asp:ListItem>
                                            <asp:ListItem Text="Page" Value="Page"></asp:ListItem>
                                        </asp:DropDownList>
                                            <asp:Label ID="scopeWhere" runat="server" Visible="false">&nbsp;where&nbsp;</asp:Label>
                                            <asp:DropDownList ID="scopeProjectFields" runat="server" Visible="false" OnSelectedIndexChanged="lstScopeField_Changed" AutoPostBack="true">
                                                <asp:ListItem Text=" " Value="-1"></asp:ListItem>
                                                <asp:ListItem Text="ID (Guid)" Value="id"></asp:ListItem>
                                                <asp:ListItem Text="PD Project" Value="pdProjectName"></asp:ListItem>
                                                <asp:ListItem Text="Submission name" Value="projectName"></asp:ListItem>
                                                <asp:ListItem Text="Submission ticket" Value="remoteId"></asp:ListItem>
                                                <asp:ListItem Text="Source Language" Value="sourceLanguage"></asp:ListItem>
                                                <asp:ListItem Text="WorkId" Value="workId"></asp:ListItem>
                                            </asp:DropDownList>
                                            <asp:DropDownList ID="scopeProjectItemFields" runat="server" Visible="false" OnSelectedIndexChanged="lstScopeField_Changed" AutoPostBack="true">
                                                <asp:ListItem Text=" " Value="-1"></asp:ListItem>
                                                <asp:ListItem Text="ID (Guid)" Value="id"></asp:ListItem>
                                                <asp:ListItem Text="Content Reference" Value="pageLink"></asp:ListItem>
                                                <asp:ListItem Text="Content Type" Value="pageType"></asp:ListItem>
                                            </asp:DropDownList>
                                            &nbsp;<asp:CheckBox ID="scopeNot" CssClass="notIn" runat="server" Text="not" Visible="false" />
                                            <asp:Label ID="scopeIn" runat="server" Visible="false">&nbsp;in&nbsp;</asp:Label>
                                            <asp:TextBox ID="scopeValue" runat="server" Visible="false" />
                                            <asp:Button ID="btnScope" runat="server" OnClick="btnGetScope_Click" Text="&nbsp;Get scope" Visible="false" />
                                            <div class="separator">&nbsp;</div>
                                            <asp:Label ID="scopeResult" runat="server" Visible="false"></asp:Label>
                                            &nbsp;<asp:Button ID="btnResetScope" runat="server" OnClick="btnResetScope_Click" Text="Reset scope" Visible="false" />
                                        </div>
                                        <div class="separator">&nbsp;</div>
                                        <div class="oneLine">
                                            <asp:Label ID="usingScope" runat="server" Visible="false"> Using scope, </asp:Label>
                                            Delete 
                                        <asp:DropDownList ID="cleanTableName" runat="server" OnSelectedIndexChanged="lstCleanTable_Changed" AutoPostBack="true">
                                            <asp:ListItem Text=" " Value="-1"></asp:ListItem>
                                            <asp:ListItem Text="Submission" Value="Submission"></asp:ListItem>
                                            <asp:ListItem Text="Page" Value="Page"></asp:ListItem>
                                            <asp:ListItem Text="Target" Value="Target"></asp:ListItem>
                                        </asp:DropDownList>
                                            <asp:Label ID="cleanWhere" runat="server" Visible="false">&nbsp;where&nbsp;</asp:Label>
                                            <asp:DropDownList ID="cleanProjectFields" runat="server" Visible="false" OnSelectedIndexChanged="lstCleanField_Changed" AutoPostBack="true">
                                                <asp:ListItem Text=" " Value="-1"></asp:ListItem>
                                                <asp:ListItem Text="ID (Guid)" Value="id"></asp:ListItem>
                                                <asp:ListItem Text="PD Project" Value="pdProjectName"></asp:ListItem>
                                                <asp:ListItem Text="Submission name" Value="projectName"></asp:ListItem>
                                                <asp:ListItem Text="Submission ticket" Value="remoteId"></asp:ListItem>
                                                <asp:ListItem Text="Source Language" Value="sourceLanguage"></asp:ListItem>
                                                <asp:ListItem Text="WorkId" Value="workId"></asp:ListItem>
                                            </asp:DropDownList>
                                            <asp:DropDownList ID="cleanProjectItemFields" runat="server" Visible="false" OnSelectedIndexChanged="lstCleanField_Changed" AutoPostBack="true">
                                                <asp:ListItem Text=" " Value="-1"></asp:ListItem>
                                                <asp:ListItem Text="ID (Guid)" Value="id"></asp:ListItem>
                                                <asp:ListItem Text="Content Reference" Value="pageLink"></asp:ListItem>
                                                <asp:ListItem Text="Content Type" Value="pageType"></asp:ListItem>
                                            </asp:DropDownList>
                                            <asp:DropDownList ID="cleanProjectItemDataFields" runat="server" OnSelectedIndexChanged="lstCleanItemDataField_Changed" Visible="false" AutoPostBack="true">
                                                <asp:ListItem Text=" " Value="-1"></asp:ListItem>
                                                <asp:ListItem Text="ID (Guid)" Value="id"></asp:ListItem>
                                                <asp:ListItem Text="Target Language" Value="projectLanguage"></asp:ListItem>
                                                <asp:ListItem Text="Document Ticket" Value="remoteId"></asp:ListItem>
                                                <asp:ListItem Text="Status" Value="status"></asp:ListItem>
                                                <asp:ListItem Text="Language and DocTicket" Value="languageAndTicket"></asp:ListItem>
                                                <asp:ListItem Text="Language and Status" Value="languageAndStatus"></asp:ListItem>
                                            </asp:DropDownList>
                                            &nbsp;
                                        <asp:CheckBox ID="cleanNot" runat="server" CssClass="notIn" Text="not" Visible="false" />
                                            <asp:Label ID="cleanIn" runat="server" Visible="false">&nbsp;in&nbsp;</asp:Label>
                                            <asp:TextBox ID="cleanValueOne" runat="server" Visible="false" />
                                            <asp:TextBox ID="cleanValueTwo" runat="server" Visible="false" />
                                        </div>
                                    </div>
                                </div>
                                <div class="allLeft table">
                                    <div>
                                        <label for="cleanPassword">
                                            Password provided by translations.com</label>
                                    </div>
                                    <div class="required">
                                        *
                                    </div>
                                    <div>
                                        <asp:TextBox ID="cleanPassword" TextMode="Password" runat="server" CssClass="episize240"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="table">
                                    <span class="alertMsg">NOTE: This action cannot be undone</span>
                                </div>
                                <div class="epi-buttonContainer">
                                    <span class="epi-cmsButton">
                                        <asp:Button ID="btnRemap" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Remap"
                                            OnClick="btnRemap_Click" runat="server" Text="Remap" />
                                    </span><span class="epi-cmsButton">
                                        <asp:Button ID="btnClearDB" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Clean"
                                            OnClick="btnCleanDB_Click" runat="server" Text="CLEAN" />
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div id="view7" style="display: block">
                <div class="epi-contentContainer">
                    <div class="epi-padding">
                        <asp:UpdatePanel ID="UpdatePanel7" runat="server">
                            <ContentTemplate>
                                <asp:Label ID="lblStatus7" runat="server" CssClass="lblStatus" Text=""></asp:Label>
                                <asp:Label ID="lblErorrStatus7" runat="server" CssClass="lblError" Text=""></asp:Label>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnSave7" />
                            </Triggers>
                        </asp:UpdatePanel>

                        <div class="epi-formArea" style="display: block;">
                            <div class="epi-size25">
                                <div class="allLeft">
                                    <div>
                                        <label for="txtSmtpHost">
                                            SMTP Host</label>
                                    </div>
                                    <div class="required">
                                        *
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtSmtpHost" runat="server" CssClass="episize240"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="txtSmtpPort">
                                            SMTP Port</label>
                                    </div>
                                    <div class="required">
                                        *
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtSmtpPort" runat="server" CssClass="episize240"></asp:TextBox>
                                    </div>
                                    <div>
                                        <asp:CompareValidator ID="CompareValidator1" runat="server" ControlToValidate="txtSmtpPort"
                                            Type="Integer" Display="Dynamic" Operator="DataTypeCheck" ErrorMessage="Value must be an integer"
                                            CssClass="alertMsg" />
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="txtSmtpLogin">
                                            Login</label>
                                    </div>
                                    <div class="required">
                                        &nbsp;
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtSmtpLogin" runat="server" CssClass="episize240"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="txtSmtpPass">
                                            Password</label>
                                    </div>
                                    <div class="required">
                                        &nbsp;
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtSmtpPass" TextMode="Password" runat="server" CssClass="episize240"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="chkEnableSSL">Use SSL</label>
                                    </div>
                                    <div class="required">&nbsp;</div>
                                    <div>
                                        <asp:CheckBox ID="chkEnableSSL" runat="server" CssClass="episize240" />
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="txtMailRecepients">
                                            Recipients</label>
                                    </div>
                                    <div class="required">
                                        *
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtMailRecepients" runat="server" CssClass="episize240 left"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="chkSendError">Send mail for errors</label>
                                    </div>
                                    <div class="required">&nbsp;</div>
                                    <div>
                                        <asp:CheckBox ID="chkSendError" runat="server" CssClass="episize240" />
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="chkSendError">Send mail for scheduler job results</label>
                                    </div>
                                    <div class="required">&nbsp;</div>
                                    <div>
                                        <asp:CheckBox ID="chkSendSuccess" runat="server" CssClass="episize240" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="epi-buttonContainer">
                        <span class="epi-cmsButton left">
                            <asp:Button ID="btnTestEmail" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save"
                                OnClick="btnTestEmail_Click" Text="Send test email"
                                runat="server" />
                        </span>
                        <span class="epi-cmsButton">
                            <asp:Button ID="btnSave7" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save"
                                OnClick="btnSave7_Click" Text="Save Notification Settings" runat="server" />
                        </span>
                    </div>
                </div>
            </div>
            
            <div id="view9" style="display: none">
                <div class="epi-contentContainer">
                    <div class="epi-padding">
                        <asp:UpdatePanel ID="UpdatePanel9" runat="server">
                            <ContentTemplate>
                                <asp:Label ID="lblStatus9" runat="server" CssClass="lblStatus" Text=""></asp:Label>
                                <asp:Label ID="lblErorrStatus9" runat="server" CssClass="lblError" Text=""></asp:Label>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnSave9" />
                            </Triggers>
                        </asp:UpdatePanel>

                        <div class="epi-formArea" style="display: block;">
                            <div class="epi-size25">
                                <div>
                                    <label for="lstCmsProject">
                                        Default project</label>
                                    <asp:DropDownList ID="lstCmsProject" runat="server" CssClass="episize240" />
                                </div>
                                <div>
                                    <label for="lstDefSource">
                                        Default Source Locale</label>
                                    <asp:DropDownList ID="lstDefSource" runat="server" CssClass="episize240">
                                    </asp:DropDownList>
                                </div>
                                <div>
                                    <label for="jobLocaleAsDefault">
                                        Use locale of Job as default</label>
                                    <asp:CheckBox ID="jobLocaleAsDefault" runat="server" CssClass="episize240" />
                                </div>
                                <div class="defDueDateWrap">
                                    <label for="txtDefDueDate">
                                        Due date (M/d/yyyy or +5d)</label>
                                    <table cellpadding="0" cellspacing="0" border="0">
                                        <tr>
                                            <td>
                                                <asp:TextBox ID="txtDefDueDate" runat="server" AutoPostBack="true" CssClass="episize240" OnTextChanged="txtDefDueDate_TextChanged"></asp:TextBox>
                                                <input type="button" id="Button8" runat="server" value="..." onclick="popupCalendar('divCalDueDate')" />
                                                <div id="divCalDueDate" style="display: none; position: absolute; padding: 12px; z-index: 100; background-color: #f0f2f3; border: solid 1px #b5bcc7; box-shadow: 0 3px 5px 2px rgba(0,0,0,0.25);">
                                                    <asp:Calendar ID="calDueDate" runat="server" CellPadding="6" CssClass="dateTimePicker"
                                                        BackColor="#FFFFFF" ForeColor="Black" DayNameFormat="FirstLetter" BorderWidth="0"
                                                        OnVisibleMonthChanged="KeepCalendarVisible4" OnSelectionChanged="calDueDate_SelectionChanged">
                                                        <DayStyle BorderColor="#eaeaea" BorderWidth="1" Font-Bold="true" HorizontalAlign="Center" />
                                                        <TodayDayStyle ForeColor="Black" BackColor="#CCCCCC"></TodayDayStyle>
                                                        <NextPrevStyle VerticalAlign="Middle"></NextPrevStyle>
                                                        <DayHeaderStyle Font-Size="7pt" BackColor="#f0f2f3"></DayHeaderStyle>
                                                        <SelectedDayStyle Font-Bold="True" ForeColor="Black" BackColor="#c4d700"></SelectedDayStyle>
                                                        <TitleStyle CssClass="dateTimePickerHeader" BackColor="#636d72"></TitleStyle>

                                                        <OtherMonthDayStyle BackColor="#bec4cb" ForeColor="#FFFFFF"></OtherMonthDayStyle>
                                                    </asp:Calendar>
                                                </div>
                                            </td>
                                            <td>
                                                <asp:Label runat="server" ID="lblDefDueDateError" CssClass="alertMsg" Visible="false" Style="line-height: 20px">Value is incorrect</asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                                <hr />
                                <div>
                                    <label for="chkIncludeChild">
                                        Include child nodes</label>
                                    <asp:CheckBox ID="chkIncludeChild" runat="server" CssClass="episize240" />
                                </div>
                                <div class="includeRefs">
                                    <label for="chkIncludeReferences">
                                        Include referenced content</label>
                                    <asp:CheckBox ID="chkIncludeRefBlocks" CssClass="inlineChk" TextAlign="Right" runat="server" Text="Blocks&nbsp;&nbsp;&nbsp;" />
                                    <asp:CheckBox ID="chkIncludeRefPages" CssClass="inlineChk" TextAlign="Right" runat="server" Text="Pages&nbsp;&nbsp;&nbsp;" />
                                    <asp:CheckBox ID="chkIncludeRefProducts" CssClass="inlineChk" TextAlign="Right" runat="server" Text="Products&nbsp;&nbsp;&nbsp;" />
                                    <asp:CheckBox ID="chkIncludeRefNodes" CssClass="inlineChk" TextAlign="Right" runat="server" Text="Nodes&nbsp;&nbsp;&nbsp;" />
                                    <asp:CheckBox ID="chkIncludeRefMedia" CssClass="inlineChk" TextAlign="Right" runat="server" Text="Media" />

                                </div>
                                <div class="refDepthWrap">
                                    <label>Reference depth</label>
                                    <asp:TextBox ID="txtRefDepth" TextMode="Number" runat="server" CssClass="episize240"></asp:TextBox>
                                </div>
                                
                                    <asp:Label runat="server" ID="chkProdVarsLbl" CssClass="div">
                                        <label>Include product variations</label>
                                    <asp:CheckBox ID="chkProdVars" runat="server" CssClass="episize240" /></asp:Label>

                                <div>
                                    <label for="chkInclUnchanged">
                                        Include Unchanged Content</label>
                                    <asp:CheckBox ID="chkInclUnchanged" runat="server" CssClass="episize240" />
                                </div>
                                <div>
                                    <label for="chkInclExpiredSource">
                                        Include expired source content</label>
                                    <asp:CheckBox ID="chkInclExpiredSource" runat="server" CssClass="episize240" />
                                </div>
                                <div>
                                    <label for="chkInclExpiredTarget">
                                        Include expired target content</label>
                                    <asp:CheckBox ID="chkInclExpiredTarget" runat="server" CssClass="episize240" />
                                </div>
                                <div>
                                    <label for="ddlPostTranslationAction">
                                        Post Translation Action</label>
                                    <asp:DropDownList ID="ddlPostTranslationAction" runat="server" CssClass="episize240" />
                                </div>
                                <div>
                                    <label for="chkNotCancelIfResend">
                                        Include Duplicate Request</label>
                                    <asp:CheckBox ID="chkNotCancelIfResend" runat="server" CssClass="episize240" />
                                </div>
                                <div>
                                    <label for="chkDisableTree">
                                        Exclude showing content list in preview area before submitting CMS content</label>
                                    <asp:CheckBox ID="chkDisableTree" runat="server" CssClass="episize240" />
                                </div>
                                <div style="clear:both;margin-top:1.5em">
                                    <label for="chkDisableTreeCom">
                                        Exclude showing content list in preview area before submitting Commerce content</label>
                                    <asp:CheckBox ID="chkDisableTreeCom" runat="server" CssClass="episize240" />
                                </div>
                                
                         <%--       <div>
                                    <label for="chkRunExclusion">
                                        Default Run Exclusion Analysis</label>
                                    <asp:CheckBox ID="chkRunExclusion" runat="server" CssClass="episize240" />
                                </div>--%>
                                <hr />
                                <asp:Label Text="Select which contentTypes should be unchecked by default" ID="Label1" runat="server"></asp:Label>
                                <div class="epi-formArea" style="display: block;">
                                    <div class="epi-size25">
                                        <table cellspacing="0" cellpadding="0" border="0">
                                            <tr>
                                                <th align="left" valign="middle" class="style8" scope="col" style="width: 12px">&nbsp;
                                                </th>
                                                <th height="24" align="left" valign="middle" class="style8" scope="col" style="width: 260px;">Existing contentTypes
                                                </th>
                                                <th class="style8" scope="col" style="width: 40px;">&nbsp;
                                                </th>
                                                <th align="left" valign="middle" class="style8" scope="col" style="width: 260px;">Non-translatable content types
                                                </th>
                                            </tr>
                                            <tr>
                                                <td align="left" class="style8" scope="col" style="width: 12px" valign="middle">&nbsp;
                                                </td>
                                                <td align="left" class="style8" height="99" scope="col" valign="middle">
                                                    <asp:ListBox ID="lstNTSource" runat="server" CssClass="style8" Height="150px" SelectionMode="Multiple"
                                                        Width="250"></asp:ListBox>
                                                </td>
                                                <td align="center" class="roleButtons" scope="col" valign="middle">
                                                    <table align="center" width="100%" cellspacing="2">
                                                        <tr>
                                                            <td align="left">
                                                                <asp:Button runat="server" Width="30" CssClass="epi-cmsButton" ID="Button1" OnClick="btnNTSS_Click" CausesValidation="false" Text=">" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td align="left">
                                                                <asp:Button runat="server" Width="30" CssClass="epi-cmsButton" ID="Button2" OnClick="btnNTRS_Click" CausesValidation="false" Text="<" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td align="left">
                                                                <asp:Button runat="server" Width="30" CssClass="epi-cmsButton" ID="Button4" OnClick="btnNTSA_Click" CausesValidation="false" Text=">>" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td align="left">
                                                                <asp:Button runat="server" Width="30" CssClass="epi-cmsButton" ID="Button5" OnClick="btnNTRA_Click" CausesValidation="false" Text="<<" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                                <td align="left" class="style8" scope="col" valign="middle">
                                                    <asp:ListBox ID="lstNTTarget" runat="server" CausesValidation="True" CssClass="style8"
                                                        Height="150px" SelectionMode="Multiple" Width="250"></asp:ListBox>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="epi-buttonContainer">
                            <span class="epi-cmsButton">
                                <asp:Button ID="btnSave9" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save"
                                    OnClick="btnSave9_Click" Text="Save Wizard Settings" runat="server" />
                            </span>
                        </div>
                    </div>
                </div>
            </div>
            <div id="view10" style="display: none">
                <div class="epi-contentContainer">
                    <div class="epi-padding">
                        <asp:UpdatePanel ID="UpdatePanel10" runat="server">
                            <ContentTemplate>
                                <asp:Label ID="lblStatus10" runat="server" CssClass="lblStatus" Text=""></asp:Label>
                                <asp:Label ID="lblErorrStatus10" runat="server" CssClass="lblError" Text=""></asp:Label>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnSave10" />
                            </Triggers>
                        </asp:UpdatePanel>

                        <div class="epi-formArea" style="display: block;">
                            <div class="epi-size25">
                                <div>
                                    <label for="chkSchedSend">
                                        Send targets</label>
                                    <asp:CheckBox ID="chkSchedSend" runat="server" CssClass="episize240" />
                                </div>
                                <div>
                                    <label for="chkSchedRetrieve">
                                        Retrieve completed targets</label>
                                    <asp:CheckBox ID="chkSchedRetrieve" runat="server" CssClass="episize240" />
                                </div>
                                <div>
                                    <label for="chkSchedCancel">
                                        Cancel targets</label>
                                    <asp:CheckBox ID="chkSchedCancel" runat="server" CssClass="episize240" />
                                </div>
                            </div>
                        </div>
                        <div class="epi-buttonContainer">
                            <span class="epi-cmsButton">
                                <asp:Button ID="btnSave10" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save"
                                    OnClick="btnSave10_Click" Text="Start scheduler" runat="server" />
                            </span>
                        </div>
                    </div>
                </div>
            </div>
            <div id="view11" style="display: none">

                <div class="epi-contentContainer">
                    <div class="epi-padding">
                        <asp:UpdatePanel ID="UpdatePanel11" runat="server">
                            <ContentTemplate>
                                <asp:Label ID="lblStatus11" runat="server" CssClass="lblStatus" Text=""></asp:Label>
                                <asp:Label ID="lblErrorStatus11" runat="server" CssClass="lblError" Text=""></asp:Label>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnSave11" />
                            </Triggers>
                        </asp:UpdatePanel>
                        <div class="epi-formArea" style="display: block;">
                            <div class="epi-size25">
                                <div>
                                    <label for="txtExclude">
                                        Property Import Excludes</label>
                                    <asp:TextBox ID="txtExclude" runat="server" CssClass="episize240"></asp:TextBox>
                                </div>
                                <div>
                                    <label for="lstCopyProps">
                                        Copy properties from</label>
                                    <asp:DropDownList ID="lstCopyProps" runat="server" CssClass="episize240">
                                    </asp:DropDownList>
                                </div>
                                <div>
                                    <label for="lstCopyUrl">
                                        Copy Name in URL</label>
                                    <asp:DropDownList ID="lstCopyUrl" runat="server" CssClass="episize240">
                                    </asp:DropDownList>
                                </div>
                                <div>
                                    <label for="lstNTCreate">
                                        If page doesn't have translatable fields</label>
                                    <asp:DropDownList ID="lstNTCreate" runat="server" CssClass="episize240">
                                    </asp:DropDownList>
                                </div>
                                <div>
                                    <label for="lstNEContent">
                                        If source content no longer exists</label>
                                    <asp:DropDownList ID="lstNEContent" runat="server" CssClass="episize240">
                                    </asp:DropDownList>
                                </div>
                                <div>
                                    <label for="lstSaveStatus">
                                        Default status on importing</label>
                                    <asp:DropDownList ID="lstSaveStatus" runat="server" CssClass="episize240">
                                    </asp:DropDownList>
                                </div>
                                <div>
                                    <label for="lstXhtmlImport">
                                        If xhtml import fails</label>
                                    <asp:DropDownList ID="lstXhtmlImport" runat="server" CssClass="episize240">
                                    </asp:DropDownList>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="epi-buttonContainer">
                        <span class="epi-cmsButton">
                            <asp:Button ID="btnSave11" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save"
                                OnClick="btnSave11_Click" Text="Save Export/Import Settings" runat="server" />
                        </span>
                    </div>
                </div>

            </div>
            <div id="view12" style="display: none">
                <div class="epi-contentContainer">
                    <div class="epi-padding">
                        <asp:UpdatePanel ID="UpdatePanel12" runat="server">
                            <ContentTemplate>
                                <asp:Label ID="lblStatus12" runat="server" CssClass="lblStatus" Text=""></asp:Label>
                                <asp:Label ID="lblErrorStatus12" runat="server" CssClass="lblError" Text=""></asp:Label>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnSave12" />
                            </Triggers>
                        </asp:UpdatePanel>
                        <div class="epi-formArea" style="display: block;">                           
                            <div class="epi-size25">
                                <div>
                                    <label for="txtDashboardPaging">
                                        Job paging</label>
                                    <asp:TextBox ID="txtDashboardPaging" runat="server" CssClass="episize240" Text="10"></asp:TextBox>
                                    <asp:CompareValidator ID="CompareValidator3" runat="server" ControlToValidate="txtDashboardPaging"
                                        Type="Integer" Display="Dynamic" Operator="DataTypeCheck" ErrorMessage="Value must be an integer"
                                        CssClass="alertMsg" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="epi-buttonContainer">
                        <span class="epi-cmsButton">
                            <asp:Button ID="btnSave12" class="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save"
                                OnClick="btnSave12_Click" Text="Save Configuration" runat="server" />
                        </span>
                    </div>
                </div>
            </div>
            <div id="view13" style="display: block">
                <div class="epi-contentContainer">
                    <div class="epi-padding">
                        <asp:UpdatePanel ID="UpdatePanel13" runat="server">
                            <ContentTemplate>
                                <asp:Label ID="lblStatus13" runat="server" CssClass="lblStatus" Text=""></asp:Label>
                                <asp:Label ID="lblErrorStatus13" runat="server" CssClass="lblError" Text=""></asp:Label>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnSave13" />
                            </Triggers>
                        </asp:UpdatePanel>

                        <div class="epi-formArea" style="display: block;">
                            <div class="epi-size25">
                                <div class="allLeft">
                                    <div>
                                        <label for="chkPssAllow">
                                            Upload page preview for review</label>
                                    </div>
                                    <div class="required">
                                        &nbsp;
                                    </div>
                                    <div>
                                        <asp:CheckBox ID="chkPssAllow" runat="server" CssClass="episize240" />
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="txtPssURL">
                                            PSS URL</label>
                                    </div>
                                    <div class="required">
                                        *
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtPssUrl" runat="server" CssClass="episize340"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="txtPssUser">
                                            PSS Username</label>
                                    </div>
                                    <div class="required">
                                        *
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtPssUser" runat="server" CssClass="episize340"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="txtPssPassword">
                                            PSS Password</label>
                                    </div>
                                    <div class="required">
                                        *
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtPssPassword" TextMode="Password" runat="server" CssClass="episize340"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="allLeft">
                                    <div>
                                        <label for="txtPssConnector">
                                            PSS Connector Id</label>
                                    </div>
                                    <div class="required">
                                        *
                                    </div>
                                    <div>
                                        <asp:TextBox ID="txtPssConnector" runat="server" CssClass="episize340"></asp:TextBox>
                                    </div>
                                </div>
                                
                                <div class="allLeft">
                                    <div>
                                        <label for="chkPssCleanup">
                                            Remove preview package after upload</label>
                                    </div>
                                    <div class="required">
                                        &nbsp;
                                    </div>
                                    <div>
                                        <asp:CheckBox ID="chkPssCleanup" runat="server" CssClass="episize240" />
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="epi-buttonContainer">
                        <span class="epi-cmsButton">
                            <asp:Button ID="btnSave13" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save"
                                OnClick="btnSave13_Click" Text="Save" runat="server" />
                        </span>
                    </div>
                </div>
            </div>
    </form>
</body>
</html>
