﻿<%@ Page Language="c#" CodeBehind="Dashboard.aspx.cs" AutoEventWireup="true" EnableSessionState="True"
	EnableViewState="true" EnableViewStateMac="true" Inherits="GlobalLink.Translation.ui.Dashboard" %>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/legacy/ShellCore.css")  %>" />
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/legacy/DojoDashboardCompatibility.css")  %>" />
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/sleek/document.css")  %>" />


    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/sleek/sleek1.css")  %>" />
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/sleek/sleek2.css")  %>" />
    <link rel="stylesheet" type="text/css" href="<%= ResolveUrl("~/ClientResources/Styles/Styles.css") %>">
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToClientResource("CMS","ClientResources/epi-cms/epi.css")  %>" />
    <link rel="stylesheet" type="text/css" href="<%= EPiServer.Shell.Paths.ToShellClientResource("ClientResources/lib/dgrid/css/dgrid.css")  %>" />

    <script type="text/javascript" src="./js/jquery-3.2.1.slim.min.js"></script>
    <style>      .Sleek .epi-project-item-list__container .dgrid {
    width: 100%;
    height: calc(100% - 70px);
}
        .Sleek .epi-project-overview__toolbar h2 {
            margin: 10px 0 0;
        }
    </style>
	<style type="text/css">
 *:focus {
    outline:none !important;
}
        html,body{overflow:auto !important}
        html,head,body{margin:0; padding:0; font: 13px Verdana, Arial, Helvetica, sans-serif;}
		table.epi-default
		{
			width: 100%;
			border-collapse: collapse;
			border: none;
			empty-cells: show;
			border: 1px solid #aeaeae;
			color: #131313;
		}
		.epi-header
		{
			border: 1px solid #aeaeae;
			background: #e4e4e4 url(images/Gradients.png) 0px -2300px repeat-x;
			-webkit-background-size: auto 100% !important;
			background-size: 100% 100%;
			font-weight: normal;
			height: 25px;
		}
		.epi-header th
		{
			font-weight: normal;
		}
		tr, td, th
		{
			font-family: Verdana,Arial,Helvetica,sans-serif;
			font-size: 13px;
		}
		tr, td, th a
		{
			color:#131313;
		}
		th
		{
			text-align:left;
		}
		table.epi-default td
		{
			padding: 3px 11px;
			height:auto;
			height: 35px;
			border-top:1px solid #000 ;
			border-bottom:1px solid #000 ;
		}
		table.epi-default tbody > tr:nth-child(odd) > td
		{
			background-color: #f3f3f3;
		}
		.menutabs
		{
			margin-left: 13px !important;
		}
		.notSelected
		{
			font-weight: bold;
			background-color: #DDD;
			border: Solid 1px black;
			padding: 5px 10px !important;
			color: #111;
			font-family: Verdana,Arial,Helvetica,sans-serif;
			font-size: 13px;
		}
		.pagespacing
		{
			margin: 10px;
		}
		.selected
		{
			background: #58595b url("<%# EPiServer.Shell.Paths.ToShellClientResource("ClientResources/epi/themes/sleek/layout/images/tabstrip_connector.png")  %>") center bottom no-repeat;
box-shadow: 0 -3px 5px rgba(0,0,0,0.1) inset;
text-shadow: 0 -1px rgba(0,0,0,0.1);
        color:#FFF;
		}
        a{color:#333; text-decoration:none}
        .dijitTabListContainer-top{padding:0;margin:0}
		.empty
		{
			min-width: 0;
		}
        .spp.dijitTextBox{width:auto}
		tr.pager td table td
		{
			padding: 0 5px 0 0;
		}
		tr.pager td table td a
		{
			text-decoration: underline;
		}
        .Sleek .epi-icon--medium.iconCustom, .Sleek .iconCustom2 {
                width: 26px;
height: 26px;
border-radius: 3px;
padding: 2px 4px;
border: 1px solid #768388;
box-shadow: 0 1px 0 0 rgba(255,255,255,0),inset 0 1px 0 rgba(255,255,255,0),inset 0 -1px 0 rgba(255,255,255,0);
color: #333;
margin:5px;
cursor:pointer;
		    }
        .Sleek .iconCustom2 {background-position: 50% 50%;}
        .Sleek .iconCustom3 {
                width: 18px;
height: 18px;
border-radius: 3px;
padding: 3px 4px;
border: 1px solid #768388;
box-shadow: 0 1px 0 0 rgba(255,255,255,0),inset 0 1px 0 rgba(255,255,255,0),inset 0 -1px 0 rgba(255,255,255,0);
color: #333;
cursor:pointer;
		    }
        .iconReload{background:url("Images/refresh-24.png") no-repeat;}
        .iconExcel{background:url("Images/excel-24.png") no-repeat;}
        .iconCancel{background:url("Images/cancel-24.png") no-repeat;}
        .gllogo{
        position:absolute;
        right:20px;
        top:5px;
        width:120px;
        height:60px;
        z-index:2000;
        background: url("Images/logo.png")  no-repeat;
        }
        .dijitTextBox{
	        padding: 4px 5px;
	    }
        .Sleek.gl .dijitButton .dijitButtonNode{line-height: 20px;
padding: 2px 8px;
        }
        .epi-default a {
    text-decoration: underline;
}
        .Sleek .dijitTabContainerTop-tabs a.selected{color:#FFF}
        .Sleek .epi-ribbonHeader{line-height:normal}
        .Sleek .epi-ribbonHeader small{color:#DDD}
        .isSelected{display:none}
        #mymenuTabs, #mymenuTabs ul{width:100% !important}
        .selectAll{cursor:pointer; color:#1eb2eb}
        .counter{    padding-top: 10px;}
        .hidden{display:none !important}
        .sortingWrap, .actionsWrap{display:inline-block}
	    .dijitMenuItemLabel input {
	        color: inherit;
	        background-color: inherit;
	        border: 0;
            cursor:pointer;
	    }
        .actionsPopup input {
            display: list-item;
            border: 0;
            background: inherit;
            color: #e3e3e3;
            padding: 5px 15px;
            cursor:pointer;
            width: 100%;
            text-align: left;
        }
        .actionsPopup input:hover, .sortingPopup tr.dijitMenuItem:hover{
            background: #c7d500;
            -webkit-background-size: auto 100% !important;
            background-size: 100% 100%;
            color: #333;
        }
	    .sortingPopup tr.dijitMenuItem {
	        user-select: none;
	    }
        .sortingPopup td.dijitMenuItemLabel{width:100%}
        .sortingPopup td.dijitMenuItemIconCell {
            padding: 0;
            margin: 0;
        }
        .sortingPopup td.dijitMenuItemIconCell span {
            padding: 1px 5px 2px 5px;
            margin: 0 0 0 4px;
        }

        .Sleek .epi-username {float:right;clear:both}
        
	</style>
	<title>GlobalLink Dashboard</title>
	<script type="text/javascript">
	    function CheckAll(obj, objId) {
	        for (var i = 0; i < obj.form.elements.length; i++) {
	            if (obj.form.elements[i].name.indexOf(objId) != -1 &&
        obj.form.elements[i].type == 'checkbox' &&
        obj.form.elements[i].name != obj.name && obj.form.elements[i].disabled == false) {
	                if (obj.checked) {
	                    obj.form.elements[i].checked = true;
	                }
	                else {
	                    obj.form.elements[i].checked = false;
	                }
	            }
	        }
	    }
	    function CheckOther(obj, id) {
	        var prefix = new String(obj.id);
	        prefix = prefix.substring(0, prefix.indexOf('GridView1')) + 'GridView1_ctl01_' + id;
	        if (document.getElementById(prefix))
	            document.getElementById(prefix).checked = false;
	    }
	    var ctrlKey = false;
	    $(document).on('keydown keyup',function(e) {
	        if (e.which === 17) {
	            ctrlKey = e.type=='keydown';
	        }
	    });
	    $(document).ready(function () {
	        $('.epi-card').on('click', function (event) {
	            if (event.target.nodeName.toLowerCase() == "input") {
	                return;
	            }
	            var shouldBeChecked = false;
	            if (!$(this).hasClass('dgrid-selected')) {
	                shouldBeChecked = true;
	            }
	            if (!ctrlKey) {
	                $('.epi-card').each(function () {
	                    $(this).removeClass('dgrid-selected');
	                    $(this).removeClass('ui-state-active');
	                    $(this).find('.isSelected input').prop('checked', false);
	                });
	                $(this).addClass('dgrid-selected');
	                $(this).addClass('ui-state-active');
	                $(this).find('.isSelected input').prop('checked', true);
	            } else {
	                if (shouldBeChecked) {
	                    $(this).addClass('dgrid-selected');
	                    $(this).addClass('ui-state-active');
	                    $(this).find('.isSelected input').prop('checked', true);
	                } else {
	                    $(this).removeClass('dgrid-selected');
	                    $(this).removeClass('ui-state-active');
	                    $(this).find('.isSelected input').prop('checked', false);
	                }
	            }
	        });
	        $('.selectAll').on('click', function (event) {
	            if ($(this).hasClass('selectedAll')) {
	                $(this).removeClass('selectedAll');
	                $('.epi-card.dgrid-selected').each(function () {
	                    $(this).removeClass('dgrid-selected');
	                    $(this).removeClass('ui-state-active');
	                    $(this).find('.isSelected input').prop('checked', false);
	                });
	            } else {
	                $(this).addClass('selectedAll');
	                $('.epi-card:not(.dgrid-selected)').each(function () {
	                    $(this).addClass('dgrid-selected');
	                    $(this).addClass('ui-state-active');
	                    $(this).find('.isSelected input').prop('checked', true);
	                });
	            }
	        });
	        $('.showHideFilters').on('click', function (event) {
	            if ($('.filtersPanel').hasClass('hidden')) {
	                $('.filtersPanel').removeClass('hidden');
	                $('.contentPanel').css('width', "calc(100% - 340px)");
	                $(this).find('.dijitButtonText').html('Hide filters');
	            } else {
	                $('.filtersPanel').addClass('hidden');
	                $('.contentPanel').css('width', "100%");
	                $(this).find('.dijitButtonText').html('Show filters');
	            }
	            
	            
	        });
	        $('.sortingButton').on('click', function (event) {
	            if (!$('.actionsPopup').hasClass('hidden')) {
	                $('.actionsPopup').addClass('hidden');
	            }
	            if ($('.sortingPopup').hasClass('hidden')) {
	                $('.sortingPopup').removeClass('hidden');
	            } else {
	                $('.sortingPopup').addClass('hidden');
	            }
	            
	        });

	        $('.actionsButton').on('click', function (event) {
	            if (!$('.sortingPopup').hasClass('hidden')) {
	                $('.sortingPopup').addClass('hidden');
	            }
	            if ($('.actionsPopup').hasClass('hidden')) {
	                $('.actionsPopup').removeClass('hidden');
	            } else {
	                $('.actionsPopup').addClass('hidden');
	            }

	        });
	        
	    });
	    
	</script>
</head>
<body class="Sleek gl">
    <div class="gllogo"></div>
    <form id="form2" runat="server" style=" height: 100%">
        <asp:TextBox ID="txtSelectedId" runat="server" Visible="false"></asp:TextBox>
        <div class="epi-project-overview dijitLayoutContainer dijitContainer dijitStackContainer-child dijitStackContainer-dijitLayoutContainer dijitVisible epi-cardContainer-child--primary epi-cardContainer-child" title="" style="left: 0px; height: 100%">
            <div class="epi-project-overview__toolbar epi-viewHeaderContainer epi-editToolbarMedium">
                <h2 class="dijitInline">
                    <div class="dijitInline epi-iconObjectProject epi-icon--large"></div>
                    <span>All submissions</span>
                </h2>
            </div>

            <div class="dijitTabContainer dijitTabContainerTop dijitContainer dijitLayoutContainer tabStrip-disabled" id="dijit_layout_TabContainer_0" widgetid="dijit_layout_TabContainer_0" style="left: 0px; top: 0px; width: 100%">
                <asp:Menu ID="mymenuTabs" StaticMenuStyle-CssClass="dijitTabListContainer-top dijitTabContainerTop-tabs" StaticMenuItemStyle-CssClass="dijitTabInner dijitTabContent dijitTab dijitChecked"
					StaticSelectedStyle-CssClass="dijitTabChecked" Orientation="Horizontal" OnMenuItemClick="menuTabs_MenuItemClick" runat="server" EnableTheming="true" IncludeStyleBlock="false" >
					<StaticSelectedStyle CssClass="dijitTabChecked" />
					<Items>
						<asp:MenuItem Value="0" Selected="True" ToolTip="Active" Text="Active" />
						<asp:MenuItem Text="Completed" Value="1" ToolTip="Translation" />
					</Items>
				</asp:Menu>
                
                <div data-dojo-attach-point="tablistSpacer" class="dijitTabSpacer dijitTabContainerTop-spacer dijitAlignTop" style="width: 100%;"></div>
                    <div class="epi-project-item-list dijitContainer dijitTabPane dijitTabContainerTop-child dijitTabContainerTop-dijitLayoutContainer dijitVisible dijitLayoutContainer dijitLayoutContainerSelected dijitSelected" id="uniqName_2_12" title="" widgetid="uniqName_2_12" style=" height: 100%">
                        <div class="dijit dijitToolbar epi-project-item-list__toolbar epi-flatToolbar" role="toolbar" tabindex="0" data-dojo-attach-point="containerNode" id="dijit_Toolbar_12" widgetid="dijit_Toolbar_12">
                                <div class="epi-floatLeft counter">
                                    <asp:Label runat="server" ID="itemsCount" /> <span class="selectAll">Select all</span>

                                </div>
                                <div class="epi-floatRight">
                                
                                <span class="dijit dijitReset dijitInline epi-flat epi-chromeless dijitToggleButton showHideFilters">
                                    <span class="dijitReset dijitInline dijitButtonNode">
                                        <span class="dijitReset dijitStretch dijitButtonContents" style="user-select: none;">
                                            <span class="dijitReset dijitInline dijitButtonText">Hide filters</span>
                                        </span>
                                    </span>
                                </span>
                                <div class="sortingWrap">
                                    <span class="dijit dijitReset dijitInline epi-flat epi-chromeless epi-chromeless--icon-only dijitDropDownButton sortingButton">
                                        <span class="dijitReset dijitInline dijitButtonNode">
                                            <span class="dijitReset dijitStretch dijitButtonContents dijitDownArrowButton" role="button" tabindex="-1" title="Sort" style="user-select: none;">
                                                <span class="dijitReset dijitInline dijitIcon epi-iconSort" data-dojo-attach-point="iconNode"></span>
                                                <span class="dijitReset dijitInline dijitButtonText dijitDisplayNone">Sort</span>
                                                <span class="dijitReset dijitInline dijitArrowButtonInner"></span>
                                                <span class="dijitReset dijitInline dijitArrowButtonChar">▼</span>
                                            </span>
                                        </span>
                                    </span>

                                    <div class="dijitPopup epi-optionsMenuPopup sortingPopup hidden" role="region" style="top: 40px; right: 275px; z-index: 1000; position:absolute;">
                                    <table class="dijit dijitMenu dijitReset dijitMenuTable epi-optionsMenu dijitMenuPassive" role="menu" tabindex="0" cellspacing="0" style="top: 0px; visibility: visible; overflow: visible; width: 232px;">
	                                    <tbody class="dijitReset" data-dojo-attach-point="containerNode">
                                            <tr class="dijitReset dijitMenuItem">
	                                            <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortNameChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel"><asp:Button ID="sortName" runat="server" OnClick="sortName_Click" Text="Content Name" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortNameDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortNameDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                            <tr class="dijitReset dijitMenuItem" style="user-select: none;">
	                                            <td class="dijitReset dijitMenuItemIconCell">
		                                            <asp:Label ID="sortDCChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel"><asp:Button ID="sortDC" runat="server" OnClick="sortDC_Click" Text="Date Created" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortDCDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortDCDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                            <tr class="dijitReset dijitMenuItem" style="user-select: none;">
	                                            <td class="dijitReset dijitMenuItemIconCell" role="presentation">
		                                            <asp:Label ID="sortDueDateChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel"><asp:Button ID="sortDueDate" runat="server" OnClick="sortDueDate_Click" Text="Due Date" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortDueDateDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortDueDateDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                            <tr class="dijitReset dijitMenuItem" style="user-select: none;" ID="trSortDateSent" runat="server">
	                                            <td class="dijitReset dijitMenuItemIconCell" role="presentation">
		                                            <asp:Label ID="sortDMChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel"><asp:Button ID="sortDM" runat="server" OnClick="sortDM_Click" Text="Date Sent" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortDMDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortDMDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                            <tr class="dijitReset dijitMenuItem" style="user-select: none;" ID="trSortDateReceived" runat="server">
	                                            <td class="dijitReset dijitMenuItemIconCell" role="presentation">
		                                            <asp:Label ID="sortDPChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel"><asp:Button ID="sortDP" runat="server" OnClick="sortDP_Click" Text="Date Received" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortDPDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortDPDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                            <tr class="dijitReset dijitMenuItem" style="user-select: none;" ID="trSortDateCancelled" runat="server">
	                                            <td class="dijitReset dijitMenuItemIconCell" role="presentation">
		                                            <asp:Label ID="sortDCaChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel"><asp:Button ID="sortDCa" runat="server" OnClick="sortDCa_Click" Text="Date Cancelled" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortDCaDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortDCaDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                            <tr class="dijitReset dijitMenuItem" style="user-select: none;">
	                                            <td class="dijitReset dijitMenuItemIconCell" role="presentation">
		                                            <asp:Label ID="sortSubNameChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel"><asp:Button ID="sortSubName" runat="server" OnClick="sortSubName_Click" Text="Submission Name" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortSubNameDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortSubNameDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                            <tr class="dijitReset dijitMenuItem" style="user-select: none;">
	                                            <td class="dijitReset dijitMenuItemIconCell" role="presentation">
		                                            <asp:Label ID="sortStatusChecked" runat="server" Visible="false">✓</asp:Label>
	                                            </td>
	                                            <td class="dijitReset dijitMenuItemLabel" colspan="2"><asp:Button ID="sortStatus" runat="server" OnClick="sortStatus_Click" Text="Status" /></td>
                                                <td class="dijitReset dijitMenuItemIconCell">
                                                    <asp:Label ID="sortStatusDirD" runat="server" Visible="false">▼</asp:Label>
                                                    <asp:Label ID="sortStatusDirA" runat="server" Visible="false">▲</asp:Label>
	                                            </td>
                                            </tr>
                                       </tbody>
                                    </table>

                                    </div>
                                    </div>
                                    
                                    <div class="actionsWrap">
                                        <span class="dijit dijitReset dijitInline epi-mediumButton epi-button--bold dijitDropDownButton actionsButton">
                                            <span class="dijitReset dijitInline dijitButtonNode">
                                                <span class="dijitReset dijitStretch dijitButtonContents dijitDownArrowButton" tabindex="0" style="user-select: none;">
                                                    <span class="dijitReset dijitInline dijitButtonText">Actions</span>
                                                    <span class="dijitReset dijitInline dijitArrowButtonChar" style="display:inline-block !important">▼</span>
                                                </span>
                                            </span>
                                        </span>

                                        <div class="dijitPopup epi-optionsMenuPopup actionsPopup hidden" role="region" style="top: 40px; right: 178px; z-index: 1000; padding: 7px 0; position:absolute; background-repeat: repeat-y; background-color: #555b61; border: 1px solid #666;">
                                            <asp:Button ID="btnAutoPublishEnable" runat="server" OnClick="btnAutoPublishEnable_Click" Text="Enable AutoPublish" />
                                            <asp:Button ID="btnAutoPublishDisable" runat="server" OnClick="btnAutoPublishDisable_Click" Text="Disable AutoPublish" />
                                            <asp:Button ID="btnCancelBtn" runat="server" OnClick="btnCancel_Click" Text="Cancel selected content" />
                                            <asp:Button ID="btnDoPublish" runat="server" Text="Publish selected" OnClick="btnDoPublish_Click" ToolTip="Publish selected content" />
                                            
                                        </div>
                                    </div>
                            <asp:Button ID="btnNewProjectBtn" runat="server" CssClass="dijitReset dijitInline dijitIcon epi-iconPlus epi-icon--medium iconCustom"  onclick="btnNewProject_Click" ToolTip="New Project" />
				            <asp:Button ID="btnRefreshBtn" runat="server" CssClass="iconReload iconCustom2" OnClick="btnRefresh_Click" ToolTip="Refresh" />
                            <asp:Button ID="btnExportDashboardBtn" CssClass="iconExcel iconCustom2" runat="server" onclick="btnExportDashboard_Click" ToolTip="Export All Active Submissions to csv" />
                            <asp:Button ID="btnCSVBtn" CssClass="iconExcel iconCustom2" runat="server" onclick="btnCSV_Click" ToolTip="Export History to CSV" />
                            <asp:Button ID="btnGetAllPagesBtn" CssClass="epi-iconTree epi-icon--medium iconCustom" runat="server" onclick="btnGetAllPages_Click" ToolTip="List all pages from this node" />
				
                                </div>
                        </div>
                        <div class="epi-project-item-list__container contentPanel" style="width: calc(100% - 340px); display:inline-block;position:absolute;top:50px; bottom:18px">
                            <asp:MultiView ID="multiTabs" runat="server" ActiveViewIndex="0">
								<asp:View ID="view1" runat="server">
                            <div class="dgrid dgrid-list ui-widget epi-card-list dgrid--centered-no-data-message" role="grid" >
                                <div class="dgrid-header dgrid-header-row ui-widget-header dgrid-header-hidden"></div>
                                <div class="dgrid-scroller dijitFocused" style="user-select: none; margin-top: 0px; margin-bottom: 0px;">
                                    <div class="dgrid-content ui-widget-content epi-card-list" tabindex="0">
                                        <asp:Label ID="noSubmissions" runat="server" Visible="false">No items</asp:Label>
                                        <asp:Label ID="noContentActive" runat="server" Visible="false">No able to get current content</asp:Label>
                                        <asp:Repeater ID="submissions" runat="server" OnItemDataBound="submissions_ItemDataBound">
                                            <ItemTemplate>
                                                
                                                <asp:Label Visible="false" ID="subgiud" runat="server" Text='<%# Eval("subgiud").ToString() %>'></asp:Label>
                                                <asp:Label Visible="false" ID="pkid" runat="server" Text='<%# Eval("pkid").ToString() %>'></asp:Label>
                                                <asp:Panel ID="subissionName" runat="server">
                                                    <asp:Label CssClass="epi-ribbonHeader epi-ribbonHeaderSpecial" ID="subname" runat="server" Text='<%# Eval("subname").ToString() %>'></asp:Label>
                                                </asp:Panel>
                                          <div class="epi-card dgrid-row dgrid-row-even ui-state-default" tabindex="0">
                                                <asp:CheckBox ID="isSelected" runat="server" CssClass="isSelected" />
                                            <div class="epi-mo">
                                                <div class="epi-mo--img">
                                                    <div class="dijitIcon epi-card__icon">
                                                        <asp:Label ID="objectIcon" runat="server" CssClass="dijitInline dijitIcon epi-objectIcon  epi-icon--large" ToolTip='<%# Eval("pageType") %>'></asp:Label>
                                                        </div>
                                                </div>
                                                <div class="epi-mo--body">
                                                    <div class="epi-card__menu">
                                                    </div>
                                                    <div class="epi-card__info">
                                                        <div class="dijitInline">
                                                            <span class="epi-card__title" style="float:right;clear:none">
                                                                <span class="epi-username" title="Last modified"><%# Eval("lastModifiedBy") %></span>
                                                                <span class="epi-secondaryText">

                                                                    <span class="dijitInline epi-lozenge epi-card__language-branch"><%# Eval("projectLanguage") %></span>
                                                                </span>
                                                                <span class="epi-secondaryText" style="clear:none;padding-right:14px"><asp:Label ID="chkAutoPublish" runat="server" Text='<%# Eval("PostAction") %>' /></span>
                                                            </span>
                                                            <span style="float:right;clear:none;font-size: 10px;padding-right: 10px;">
                                                                <asp:Label ID="dates" runat="server" />
                                                            </span>
                                                            
                                                        </div>
                                                    </div>
                                                    <div class="dijitInline epi-card__title--ellipsis-wrapper">
                                                        <div>
                                                            <asp:HyperLink runat="server" ID="pageUrl" Target="_blank" ToolTip='<%# Eval("pageName") %>' NavigateUrl='<%# Eval("pageUrl") %>' ><%# Eval("pageName") %> (<%# Eval("pageLink") %>)</asp:HyperLink>
                                                        </div>
                                                        <asp:Label ID="statusIcon" runat="server" CssClass="dijitReset dijitInline dijitIcon epi-objectIcon epi-statusIndicatorIcon" ToolTip='<%# GetLocalStatus(Eval("status").ToString())%>'></asp:Label>
                                                        <span class="epi-secondaryText"><%# GetLocalStatus(Eval("status").ToString())%></span>
                                                    </div>
                                                </div>
                                            </div>
                                          </div>
                                              
                                            </ItemTemplate>
                                        </asp:Repeater>
                                    </div>
                                </div>
                                <div class="dgrid-header dgrid-header-scroll dgrid-scrollbar-width ui-widget-header" style="height: 0px;"></div>
                                <div class="dgrid-footer dgrid-footer-hidden"></div>
                            </div>  
                                                                    
                                    </asp:View>
								<asp:View ID="view2" runat="server">
                                    <div class="dgrid dgrid-list ui-widget epi-card-list dgrid--centered-no-data-message" role="grid" >
                                <div class="dgrid-header dgrid-header-row ui-widget-header dgrid-header-hidden"></div>
                                <div class="dgrid-scroller dijitFocused" style="user-select: none; margin-top: 0px; margin-bottom: 0px;">
                                    <div class="dgrid-content ui-widget-content epi-card-list" tabindex="0">
                                        <asp:Label ID="noHistory" runat="server" Visible="false">No items</asp:Label>
                                        <asp:Label ID="noContentHistory" runat="server" Visible="false">No able to get current content</asp:Label>
                                        <asp:Repeater ID="history" runat="server" OnItemDataBound="submissions_ItemDataBound">
                                            <ItemTemplate>
                                                <asp:Label Visible="false" ID="subgiud" runat="server" Text='<%# Eval("subgiud").ToString() %>'></asp:Label>
                                                <asp:Label Visible="false" ID="pkid" runat="server" Text='<%# Eval("pkid").ToString() %>'></asp:Label>
                                                <asp:Panel ID="subissionName" runat="server">
                                                    <asp:Label CssClass="epi-ribbonHeader epi-ribbonHeaderSpecial" ID="subname" runat="server" Text='<%# Eval("subname").ToString() %>'></asp:Label>
                                                </asp:Panel>
                                          <div class="epi-card dgrid-row dgrid-row-even ui-state-default" tabindex="0">
                                            <asp:CheckBox ID="isSelected" runat="server" CssClass="isSelected" />
                                            <div class="epi-mo">
                                                <div class="epi-mo--img">
                                                    <div class="dijitIcon epi-card__icon">
                                                        <asp:Label ID="objectIcon" runat="server" CssClass="dijitInline dijitIcon epi-objectIcon  epi-icon--large" ToolTip='<%# Eval("pageType") %>'></asp:Label>
                                                        </div>
                                                </div>
                                                <div class="epi-mo--body">
                                                    <div class="epi-card__menu">
                                                    </div>
                                                    <div class="epi-card__info">
                                                        <div class="dijitInline">
                                                            <span class="epi-card__title" style="float:right;clear:none">
                                                                <span class="epi-username" title="Last modified"><%# Eval("lastModifiedBy") %></span>
                                                                <span class="epi-secondaryText">

                                                                <span class="dijitInline epi-lozenge epi-card__language-branch"><%# Eval("projectLanguage") %></span>
                                                            </span>
                                                            </span>
                                                            <span style="float:right;clear:none;font-size: 10px;padding-right: 10px;">
                                                                <asp:Label ID="dates" runat="server" />
                                                            </span>
                                                            
                                                        </div>
                                                    </div>
                                                    <div class="dijitInline epi-card__title--ellipsis-wrapper">
                                                        <div>
                                                            <asp:HyperLink CssClass="dijitInline epi-card__title dojoxEllipsis" runat="server" ID="pageUrl" Target="_blank" ToolTip='<%# Eval("pageName") %>' NavigateUrl='<%# Eval("pageUrl") %>' ><%# Eval("pageName") %> (<%# Eval("pageLink") %>)</asp:HyperLink>
                                                        </div>
                                                        <asp:Label ID="statusIcon" runat="server" CssClass="dijitReset dijitInline dijitIcon epi-objectIcon epi-statusIndicatorIcon" ToolTip='<%# GetLocalStatus(Eval("status").ToString())%>'></asp:Label>
                                                        <span class="epi-secondaryText"><%# GetLocalStatus(Eval("status").ToString())%></span>
                                                    </div>
                                                </div>
                                            </div>
                                          </div>
                                              
                                            </ItemTemplate>
                                        </asp:Repeater>
                                    </div>
                                </div>
                                <div class="dgrid-header dgrid-header-scroll dgrid-scrollbar-width ui-widget-header" style="height: 0px;"></div>
                                <div class="dgrid-footer dgrid-footer-hidden"></div>
                            </div>  
                                    
                                    </asp:View>
                                </asp:MultiView>
                            <asp:HiddenField ID="hiddenpagelink" runat="server" />
                        </div>
                        <div style="width:320px;height:100%;display:inline-block;padding:0;position: absolute;top:50px;right:0" class="filtersPanel">
                            <div style="padding:10px">
                            <asp:Panel ID="Panel1" runat="server" BorderStyle="None" Direction="LeftToRight"
					            EnableTheming="False" HorizontalAlign="Left" Wrap="False" DefaultButton="filterGrid">
					            <table cellspacing="2">
                                    <tr>
							            <td align="left">
								            <asp:Label ID="Label3" runat="server" Font-Bold="False" Text="Context "></asp:Label>
							            </td>
							            <td>
								            <asp:DropDownList ID="lstContext" runat="server" CssClass="dijitTextBox">
									            <asp:ListItem Selected="true" Text="Current content" Value="1"></asp:ListItem>
                                                <asp:ListItem Selected="false" Text="Submissions with current content" Value="3"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="All items" Value="2"></asp:ListItem>
								            </asp:DropDownList>
							            </td>
						            </tr>
						            <tr>
							            <td align="left">
								            <asp:Label ID="lblSearch" runat="server" Font-Bold="False" Font-Overline="False"
									            Text="Search "></asp:Label>
							            </td>
							            <td>
								            <asp:TextBox ID="txtPageName" runat="server" CssClass="dijitTextBox"></asp:TextBox>
							            </td>
						            </tr>
						            <tr>
							            <td align="left">
								            <asp:Label ID="Label1" runat="server" Font-Bold="False" Text="Target Language "></asp:Label>
							            </td>
							            <td>
								            <asp:DropDownList ID="lstSource" runat="server" CssClass="dijitTextBox">
									            <asp:ListItem Selected="True" Text="Select" Value="0"></asp:ListItem>
								            </asp:DropDownList>
							            </td>
						            </tr>
						            <tr id="tdStatus" runat="server">
							            <td align="left">
								            <asp:Label ID="lblStatus" runat="server" Font-Bold="False" Text="Status "></asp:Label>
							            </td>
							            <td>
								            <asp:DropDownList ID="ddlstatus"  CssClass="dijitTextBox" runat="server">
									            <asp:ListItem Selected="True" Text="All" Value="-1"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="WaitingToSend" Value="1"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Sent" Value="4"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="ReadyForImport" Value="7"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="ToCancel" Value="13"></asp:ListItem>
								            </asp:DropDownList>
							            </td>
						            </tr>
						            <tr id="tdHistoryStatus" runat="server">
							            <td align="left">
								            <asp:Label ID="Label2" runat="server" Font-Bold="False" Text="Status "></asp:Label>
							            </td>
							            <td>
								            <asp:DropDownList ID="ddlHistoryStatus" CssClass="dijitTextBox" runat="server">
									            <asp:ListItem Selected="True" Text="All" Value="-1"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Imported" Value="9"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Published" Value="10"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Cancelled" Value="14"></asp:ListItem>
								            </asp:DropDownList>
							            </td>
						            </tr>
						            <tr id="tdPageType" runat="server">
							            <td align="left">
								            <asp:Label ID="lblPageType" runat="server" Font-Bold="False" Text="Content type "></asp:Label>
							            </td>
							            <td>
								            <asp:DropDownList ID="ddlPageType" CssClass="dijitTextBox" runat="server">
									            <asp:ListItem Selected="True" Text="Blocks/Pages" Value="1"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Pages" Value="2"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Blocks" Value="3"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Nodes/Products/Variations" Value="4"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Nodes" Value="5"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="Products/Variations" Value="6"></asp:ListItem>
									            <asp:ListItem Selected="false" Text="All" Value="7"></asp:ListItem>
								            </asp:DropDownList>
							            </td>
						            </tr>
                                    <tr><td colspan="2">&nbsp;</td></tr>
						            <tr>
							            <td colspan="2">
                                            <div class="dijitButton" style="float:left"><asp:Button ID="filterGrid" CssClass="dijitButtonNode" runat="server" Text="Filter" OnClick="btnFilter_Click" /></div>
								            <div class="dijitButton" style="float:left"><asp:Button ID="clearValues1" CssClass="dijitButtonNode" runat="server" Text="Reset filters" OnClick="btnClear1_Click" /></div>
                                
							            </td>
						            </tr>
					            </table>
				            </asp:Panel>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
    </form>
</body>
</html>
